2008-08-20 09:30  cgarcia

	* configure.ac: Updated to version 1.3.4

2008-08-20 09:04  amodigli

	* irplib/irplib_detmon_lg.c: added a missing check on EXPTIME/DIT
	columns in linear_table

2008-08-19 18:47  cgarcia

	* recipes/hawki_img_flat.c: New selection parameter acording to
	rms.  Implemented selection parameters in a chip by chip basis.

2008-08-19 17:46  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in OPT fixed.

2008-08-19 14:03  cgarcia

	* recipes/hawki_img_flat.c: Fixed double released pointer.  Fixed
	memory leak

2008-08-18 16:29  cgarcia

	* recipes/hawki_img_flat.c: Fixed double pointer release

2008-08-18 15:04  cgarcia

	* recipes/: hawki_img_flat.c, hawki_tec_filtchk.c: Fixed problem
	saving PAF files (DFS5782)

2008-08-13 16:38  cgarcia

	* hawki/hawki_bkg.c: Removed debug message

2008-08-13 15:56  cgarcia

	* configure.ac: Updated to version 1.3.3

2008-08-13 15:48  cgarcia

	* recipes/hawki_img_flat.c: Fixed the selection algorithm

2008-08-13 14:52  cgarcia

	* recipes/hawki_img_flat.c: Changed the selection algorithm Removed
	parameter select_max_nframes Added parameter select_auto_max_bins
	Changed default value of select_min_nframes to 3 (previously -1)

2008-08-13 14:48  cgarcia

	* recipes/: hawki_util_compute_bkg.c, hawki_util_stats.c,
	hawki_util_subtract_bkg.c: Fixed the description of the recipe

2008-08-13 14:44  cgarcia

	* recipes/hawki_tec_filtchk.c: Fixed the description of the recipe

2008-08-13 14:42  cgarcia

	* hawki/: hawki_utils.h, hawki_utils.c: Added
	hawki_vector_get_min_select, hawki_vector_get_max_select

2008-08-11 15:02  yjung

	* irplib/: irplib_spectrum.c, irplib_ppm.c, irplib_spectrum.c: [no
	log message]

2008-08-11 14:59  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-11 14:20  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-07 13:38  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Raise bar for 6-deg test

2008-08-07 10:39  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_add(): Fix bug on
	empty self + simplify. irplib_polynomial_subtract(): Modified from
	irplib_polynomial_add()

2008-08-07 10:16  llundin

	* irplib/: irplib_distortion.c, irplib_polynomial.c:
	irplib_polynomial_shift_1d(): Dim numbered from 0

2008-08-07 10:13  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate(): Updated
	doxygen

2008-08-06 16:59  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): info on line gradient at
	center

2008-08-06 16:52  llundin

	* irplib/: irplib_polynomial.c, tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all(),
	irplib_polynomial_solve_1d_nonzero(): Use cpl_polynomial_solve_1d()
	+ irplib_polynomial_divide_1d_root() to support arbitrary degrees
	(with simple test for 5+6 degree)

2008-08-06 14:13  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-06 13:47  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-06 13:28  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-06 13:22  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Enable tests

2008-08-06 13:21  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Give
	preference to real/double-root solution

2008-08-06 09:55  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate():
	Bug-fix, set *arcs to NULL on failure

2008-08-05 23:29  llundin

	* irplib/: irplib_polynomial.c, irplib_polynomial.h:
	irplib_polynomial_shift_1d(): Added

2008-08-05 15:44  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): Fit a 1D-poly to each arc

2008-08-05 15:41  cgarcia

	* hawki/hawki_image_stats.c: Removed debugging messages

2008-08-05 15:32  cgarcia

	* recipes/hawki_img_flat.c: Support for even/odd row/column
	statistics products.

2008-08-05 15:30  cgarcia

	* hawki/: hawki_image_stats.h, hawki_image_stats.c: Support for
	even/odd row/column statistics

2008-08-05 15:29  cgarcia

	* hawki/hawki_dfs.h: Support for even/odd row/column products

2008-08-05 13:07  llundin

	* irplib/irplib_distortion.c: irplib_polynomial_fit_2d(): True
	fix-point for y=(ny+1)/2

2008-08-05 11:50  lbilbao

	* irplib/: irplib_detmon.h, irplib_detmon_lg.h: Code move from
	irplib_detmon_lg.h -> irplib_detmon.h

2008-08-04 15:13  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate(): Prep
	for fitting with center line as true fix-point

2008-08-04 12:01  cgarcia

	* recipes/hawki_img_dark.c: Removed support for TEC_FLAT input. Now
	this is handle by its own recipe: hawki_tec_filtchk.

2008-08-04 11:59  cgarcia

	* recipes/: hawki_tec_filtchk.c, hawki_util_stats.c: Added support
	for "statistics of the statistics"

2008-08-04 10:57  yjung

	* irplib/irplib_wlxcorr.c: 2 differtnt plottings for the catalog

2008-08-01 16:38  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_vector_fill_line_spectrum_model(): renamed from
	irplib_vector_fill_line_spectrum().
	irplib_vector_fill_line_spectrum(): Renamed from
	irplib_vector_fill_spectrum()

2008-08-01 15:54  cgarcia

	* recipes/hawki_tec_filtchk.c: First version of tec_filtchk recipe,
	intended to process data taken with different filters. The first
	approach of this recipe is to compute statistics.

2008-08-01 15:53  cgarcia

	* recipes/Makefile.am: Added subtract_bkg and filtchk recipes

2008-08-01 15:52  cgarcia

	* recipes/hawki_util_subtract_bkg.c: Changed the dfs keyworkds.

2008-08-01 15:51  cgarcia

	* recipes/hawki_util_distortion.c: Changes for the modularity
	scheme.  Support for a series of images.  Only background
	subtracted images are acepted.

2008-08-01 15:48  cgarcia

	* recipes/hawki_util_compute_bkg.c: Exits if object masks are
	provided, since that funcitonality is not still supported.

2008-08-01 15:47  cgarcia

	* recipes/hawki_util_basic_calib.c: [no log message]

2008-08-01 15:46  cgarcia

	* hawki/: hawki_distortion.h, hawki_distortion.c: Added support for
	distortion correction of imagelists.

2008-08-01 15:45  cgarcia

	* hawki/hawki_dfs.h: Added keywords for background subtracted
	products and filter position check products

2008-08-01 15:43  cgarcia

	* hawki/hawki_bkg.c: Fixed potential buffer overflow

2008-08-01 15:30  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): Better variable names =>
	merge two loops, avoid potentially dangerous data-layout assumption

2008-08-01 14:53  llundin

	* irplib/irplib_distortion.c: irplib_distortion_purge_arcs(): Purge
	arcs that do not cross center line.
	irplib_distortion_fill_arc_positions(): replaces
	irplib_distortion_get_arc_positions(), sample arcs along all rows
	(not just 20 uniformly spaced rows), Fit to centroid of center row,
	resize sample vectors

2008-08-01 14:22  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate(): Print
	mse of 2D-fit

2008-07-31 16:44  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-07-31 14:52  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_get_arc_positions(): Avoid data repacking

2008-07-31 13:52  llundin

	* irplib/irplib_distortion.c: irplib_distortion_get_row_centroid():
	Renamed from irplib_distortion_fine_pos(), avoid arbitrary tols
	(1e-40), more error checking

2008-07-31 11:20  llundin

	* irplib/irplib_distortion.c: irplib_distortion_purge_arcs():
	Improve API, optimize relabelling, check validity of lab_im.
	irplib_distortion_detect_arcs(): use const int

2008-07-31 10:36  llundin

	* irplib/irplib_distortion.c: irplib_distortion_fill_border():
	Reduce complexity

2008-07-31 09:20  llundin

	* irplib/irplib_distortion.c: irplib_distortion_fill_border():
	Renamed from irplib_distortion_fill_badzones().
	irplib_distortion_purge_arcs(): Redeclared to int, use CPL error
	module, avoid recreation of label image

2008-07-30 16:36  llundin

	* irplib/irplib_distortion.c: cpl_msg_error() replaced by CPL error
	module calls. irplib_distortion_remove_ramp():
	cpl_vector_get_median() replaces cpl_vector_get_median_const()

2008-07-30 16:03  cgarcia

	* hawki/hawki_dfs.c: Added support for clasification of background
	images

2008-07-30 16:01  cgarcia

	* recipes/hawki_util_subtract_bkg.c: First implementation of
	hawki_util_subtract_bkg recipe

2008-07-30 15:59  cgarcia

	* hawki/hawki_load.c: Fixed memory leaks and potential buffer
	overflow

2008-07-30 15:57  cgarcia

	* hawki/: hawki_calib.h, hawki_calib.c: New utility for background
	subtraction

2008-07-30 15:32  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen improved for
	irplib_detmon_{gain, lin}().

2008-07-30 13:38  lbilbao

	* irplib/irplib_detmon.c: Missing initialisation of variable

2008-07-30 11:46  lbilbao

	* irplib/irplib_detmon.c: Optional product SYNTH (only created with
	PREOVERSCAN method) allowed to be passed a NULL. Example recipe
	updated accordingly.

2008-07-30 09:16  llundin

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h,
	tests/irplib_wlxcorr-test.c: irplib_wlxcorr_find_1d(): Dropped

2008-07-29 17:09  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.c,
	irplib_detmon_lg.h, tests/irplib_detmon-test.c,
	tests/irplib_detmon_lg-test.c: API of irplib_detmon_ronbias()
	changed to allow to pass not only PRO.CATG but also PRO.SCIENCE,
	PRO.TYPE and PRO.TECH.

2008-07-29 16:36  llundin

	* irplib/irplib_wavecal.c: irplib_vector_fill_line_spectrum():
	Verify monotony of dispersion

2008-07-29 16:09  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.h,
	tests/irplib_detmon-test.c: irplib_detmon_ronbias() extended for
	NIR cases, when PREOVERSCAN method must not be available. New
	example recipe detmon_darkron provided. (DFS05702)

2008-07-29 15:52  llundin

	* irplib/irplib_wavecal.c: irplib_vector_fill_line_spectrum():
	Check also the derivative at xmin

2008-07-29 15:38  llundin

	* irplib/irplib_wavecal.c: irplib_vector_fill_line_spectrum():
	Copied from cpl_vector_fill_line_spectrum()

2008-07-29 11:09  lbilbao

	* irplib/irplib_detmon_lg.c: Default value for --niter changed to
	5.

2008-07-29 11:07  llundin

	* irplib/irplib_wavecal.c:
	irplib_polynomial_find_1d_from_correlation(): Change messaging from
	info to debug

2008-07-29 10:43  llundin

	* irplib/: Makefile.am, irplib_wavecal.c, irplib_wavecal.h: Added
	irplib_wavecal with GSL-based wavelength calibration

2008-07-24 15:56  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Changes in the treatment of DIT and
	EXPTIME in Gain and Linearity Tables. Now only one of them is
	copied to the table (DIT for NIR and EXPTIME for OPT, according to
	DFO). Some code duplication removed as well. (DFS05694)

2008-07-23 18:39  cgarcia

	* hawki/hawki_utils.c: Removed unused varaibles gap, nx, ny

2008-07-23 18:37  cgarcia

	* hawki/hawki_bkg.c: Removed debug traces

2008-07-23 18:19  cgarcia

	* recipes/: hawki_img_flat.c, hawki_util_basic_calib.c,
	hawki_util_compute_bkg.c, hawki_util_stats.c: Removed unneeded
	included files

2008-07-23 18:07  cgarcia

	* recipes/Makefile.am: Support for hawki_util_stats and
	hawki_util_compute_bkg recipes

2008-07-23 18:05  cgarcia

	* recipes/hawki_util_compute_bkg.c: New recipe
	hawki_util_compute_bkg.

2008-07-23 18:04  cgarcia

	* recipes/hawki_img_jitter.c: Use the new hawki_bkg utilities

2008-07-23 18:04  cgarcia

	* hawki/hawki_dfs.c: Added support for the clasification of
	intermediate products.

2008-07-23 18:03  cgarcia

	* hawki/: hawki_bkg.h, hawki_bkg.c: Added new function to compute
	the background for a set of frames.

2008-07-22 10:46  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: API of irplib_detmon_{gain, lin}()
	extended to get a tolerance value for pair extraction.

2008-07-21 17:04  cgarcia

	* recipes/hawki_util_stats.c: New utility to compute image
	statistics

2008-07-21 17:03  cgarcia

	* hawki/: hawki_image_stats.h, hawki_image_stats.c: Added support
	for stats from a frame.  Added support for printing stats to
	stdout.

2008-07-16 17:44  cgarcia

	* hawki/: hawki_bkg.c, hawki_bkg.h: New file to include background
	estimation functionality

2008-07-16 17:41  cgarcia

	* configure.ac: [no log message]

2008-07-16 17:35  cgarcia

	* recipes/hawki_util_basic_calib.c: Support for different output
	products (OBJ_BASIC_CALIB or SKY_BASIC_CALIB) depending on the
	input frames.

2008-07-16 17:33  cgarcia

	* recipes/hawki_img_jitter.c: Removed extra_stats flag parameter
	(that shouldn't ever be comitted)

2008-07-16 17:28  cgarcia

	* recipes/hawki_img_jitter.c: Added support for background stats.
	Removed support for product BGD.

2008-07-16 17:19  cgarcia

	* hawki/Makefile.am: [no log message]

2008-07-16 17:19  cgarcia

	* hawki/hawki_dfs.h: Added support for new products:  BKG_STATS 
	SKY_BASICCALIBRATED  OBJ_MASK Removed support for BGD product

2008-07-16 09:35  lbilbao

	* irplib/irplib_detmon_lg.c: Missing variable renaming from
	previous change done now.

2008-07-15 13:00  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_subtract(): Fix bug
	on empty self

2008-07-15 11:41  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen correction for
	irplib_detmon_gain() (DFS05678).

2008-07-09 13:42  llundin

	* irplib/irplib_plugin.c: recipe_parameterlist_set(): use also
	getenv()

2008-07-08 16:27  cgarcia

	* recipes/hawki_util_basic_calib.c: Fixed memory leak.

2008-07-08 16:27  cgarcia

	* recipes/hawki_img_jitter.c: More robust behaviour when it is not
	possible to read all telescope data or	when not all chips have
	detected objects.  Fixed double initialization of telescope data.

2008-07-08 16:25  cgarcia

	* recipes/hawki_img_flat.c: Moving the initialization of telescope
	table to the main flow, like the other recipes.

2008-07-08 16:23  cgarcia

	* hawki/hawki_properties_tel.c: Support for FWHM values -1 for
	START or END

2008-07-07 11:40  llundin

	* irplib/irplib_plot.c: irplib_vectors_plot(): Use correct error
	code

2008-07-04 15:13  cgarcia

	* configure.ac: Updated to version 1.3.1

2008-07-04 14:16  yjung

	* irplib/irplib_detmon_lg.c: added Workaround for DFS05341 before
	CPL 4.2

2008-07-04 11:52  cgarcia

	* recipes/hawki_img_zpoint.c: config structure has been splitted
	between configuration and output data

2008-07-04 11:51  cgarcia

	* recipes/hawki_img_flat.c: Changed selection algorithm

2008-07-04 10:04  lbilbao

	* irplib/irplib_detmon_lg.c: Missing keywords in PAF
	(multi-extension case) added.

2008-07-03 16:09  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: PRO.CATG properly named after
	CPL_DFS_PRO_CATG

2008-07-03 15:38  cgarcia

	* hawki/hawki_pfits.h: Fixed double definition of function _get_dit

2008-07-03 13:56  yjung

	* irplib/irplib_stdstar.c: Workaround to wait for next CPL version
	(4.2)

2008-07-03 11:52  yjung

	* irplib/irplib_stdstar.c: use the CPL_DFS define for the PRO CATG
	and PRO TYPE keywords

2008-07-02 18:11  cgarcia

	* hawki/Makefile.am: Added hawki_image_stats to the compilation
	list

2008-07-02 18:06  cgarcia

	* recipes/hawki_img_zpoint.c: Added support for raw table
	statistics (DFS05592)

2008-07-02 18:04  cgarcia

	* recipes/hawki_img_jitter.c: Added support for raw table
	statistics (DFS05595)

2008-07-02 18:03  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: irplib_detmon_lg() API extended to
	pass not only PRO.CATG but also PRO.{SCIENCE, TECH, TYPE} to the
	recipe.

2008-07-02 17:55  cgarcia

	* hawki/hawki_image_stats.c: Fixed return code.  Updated
	documentation.	More error checking code.

2008-07-02 17:54  cgarcia

	* hawki/hawki_dfs.h: Added support for ZPOINT statistics product

2008-07-02 16:19  lbilbao

	* irplib/irplib_detmon_lg.c: Changed from error to warning in case
	of failure in the linearity efficiency computation.

2008-07-02 16:13  lbilbao

	* irplib/irplib_detmon_lg.c: EXTNAME keyword copied to output
	extension headers in case of multiextension reduction.

2008-07-02 16:01  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: llx,
	lly, urx, ury parameters activated (with unit test).

2008-06-27 17:34  cgarcia

	* recipes/hawki_img_flat.c: Migrating to new hawki_image_stats
	utilities

2008-06-27 17:26  cgarcia

	* recipes/hawki_img_detlin.c: Cosmetic hanges: index in loops have
	more meaningful names

2008-06-27 17:12  cgarcia

	* recipes/hawki_img_dark.c: Updated the recipe to the use of
	hawki_image_stats functions (common to all recipes).  Comestic
	changes: substitute chip by idet

2008-06-27 17:00  cgarcia

	* hawki/hawki_calib.c: Comestic change: sustitute chip by ider

2008-06-27 16:59  cgarcia

	* hawki/hawki_load.c: [no log message]

2008-06-27 16:57  cgarcia

	* hawki/: hawki_image_stats.h, hawki_image_stats.c: New file that
	manipulates raw image statistics

2008-06-27 16:56  cgarcia

	* hawki/hawki_dfs.h: Changed SCIENCE_PARAMS to SCIENCE_PCS (params
	and conditions) Merged all the stats table to the same PRO.TYPE

2008-06-27 16:55  cgarcia

	* hawki/hawki_calib.h: Cosmetic change: sustitute chip by idet

2008-06-25 16:49  cgarcia

	* recipes/hawki_img_jitter.c: Several changes: -support for
	telescope pointing and ambiental conditions product.  -initial
	support for raw statistics -internal design changes:	    
	-splitted config structure to config and outputs	-input
	parameters are read in a dedicated function

2008-06-25 16:44  cgarcia

	* recipes/hawki_util_basic_calib.c: Minor change: update to new
	hawki_calib.h.	Minor bugs

2008-06-25 16:43  cgarcia

	* recipes/: hawki_img_illum.c, hawki_img_zpoint.c: Minor change:
	update to new hawki_calib.h

2008-06-25 16:42  cgarcia

	* hawki/hawki_dfs.h: Support for new statistics products: DARK,
	SCIENCE stats and SCIENCE_PARAMS (telescope pointing and ambiental
	conditions)

2008-06-25 15:19  cgarcia

	* hawki/hawki_load.c: Minor bug (bpp was trated as a cpl_type)

2008-06-25 15:08  cgarcia

	* hawki/: hawki_pfits.h, hawki_pfits.c: New functions to access
	keywords related to telescope status

2008-06-25 15:05  cgarcia

	* hawki/hawki_properties_tel.c: New functions dealing with keywords
	of the telescope status used by QC (TEL.ALT, TEL.AZ, TEL.AMBI.*,
	TEL.AIRM, etc..)

2008-06-25 15:04  cgarcia

	* hawki/hawki_properties_tel.h: New functions dealing with keywords
	of the telescope status used by QC

2008-06-25 15:02  cgarcia

	* hawki/hawki_calib.c: New file created out of calibration
	functions found in hawki/hawki_utils.c

2008-06-25 15:01  cgarcia

	* hawki/hawki_calib.h: New file created out of calibration
	functions found in hawki/hawki_utils.h

2008-06-25 15:00  cgarcia

	* hawki/hawki_utils.c: Calibration functions moved to hawki_calib

2008-06-25 14:58  cgarcia

	* hawki/hawki_utils.h: Moved the calibration functions to
	hawki_calib

2008-06-25 14:58  cgarcia

	* hawki/Makefile.am: Added hawki_calib.c and hawki_properties_tel.c

2008-06-19 15:46  lbilbao

	* irplib/irplib_detmon_lg.c: Wrong info message corrected.

2008-06-19 15:22  lbilbao

	* irplib/irplib_detmon_lg.c: Small bug in multi-extension support
	fixed.

2008-06-17 15:05  cgarcia

	* configure.ac: Go back to tag 1.3.0

2008-06-17 14:47  cgarcia

	* configure.ac: tag 1.3.1 was not commited here.

2008-06-17 14:33  cgarcia

	* recipes/hawki_util_basic_calib.c: Fix function name which gave
	linking problem

2008-06-17 14:31  cgarcia

	* recipes/hawki_img_flat.c: Minor bug fix.

2008-06-17 13:45  cgarcia

	* configure.ac: Updated to version 1.3.0

2008-06-17 13:22  cgarcia

	* recipes/hawki_img_flat.c: Minor formatting Removing the RAW USED
	keywords in the paf files due to DFS05341

2008-06-17 13:20  cgarcia

	* recipes/: hawki_img_jitter.c, hawki_util_basic_calib.c: Minor
	formatting

2008-06-13 17:47  cgarcia

	* recipes/hawki_util_basic_calib.c: New utility to make standalano
	basic calibrations: dark, flat and bpm.

2008-06-13 17:41  cgarcia

	* recipes/Makefile.am: Added compilation for basic_calib

2008-06-13 17:41  cgarcia

	* recipes/hawki_img_dark.c: Added support for a new data product:
	the raw dark statistics.

2008-06-13 17:40  cgarcia

	* recipes/hawki_img_flat.c: Added support to save the selected
	flats to the products.	Added the mean to the statistics product.

2008-06-13 17:38  cgarcia

	* recipes/: hawki_img_illum.c, hawki_img_jitter.c: Minor changes

2008-06-13 17:33  cgarcia

	* recipes/hawki_img_zpoint.c: Minor fixes

2008-06-13 17:31  cgarcia

	* hawki/: hawki_utils.h, hawki_utils.c: Added calibration of dark,
	bpm and flat at the same time.

2008-06-13 17:18  cgarcia

	* hawki/hawki_saa.c: Minor fix: remove dependency with cpl_tools

2008-06-13 17:18  cgarcia

	* hawki/: hawki_pfits.h, hawki_pfits.c: New focus to access the
	focus

2008-06-13 17:17  cgarcia

	* hawki/: hawki_load.h, hawki_load.c: New function hawki_load_image

2008-06-13 17:11  cgarcia

	* hawki/hawki_dfs.h: New PRO.CATG products: Dark statistics, focus
	products, basic calibration products.  Added columns in flat
	statistics.

2008-06-13 10:40  llundin

	* irplib/: irplib_polynomial.c, irplib_polynomial.h,
	tests/irplib_polynomial-test.c:
	irplib_polynomial_multiply_scalar(), irplib_polynomial_add():
	Exported. irplib_polynomial_subtract(): Added (still needs unit
	tests)

2008-06-03 18:15  lbilbao

	* irplib/tests/irplib_fft-test.c: Missing include added.

2008-06-03 18:11  lbilbao

	* irplib/tests/irplib_fft-test.c: Warning about FFTW dependency
	setting removed.

2008-06-03 18:07  lbilbao

	* irplib/tests/irplib_fft-test.c: Bug in FFTW dependency setting.

2008-06-03 17:55  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon_lg.c,
	irplib_fft.c, irplib_fft.h, irplib_fft_body.h, tests/Makefile.am,
	tests/irplib_fft-test.c: New FFTW wrappers added to IRPLIB with
	unit tests.

2008-05-09 16:01  cguirao

	* Makefile.purify.in: Adding -dlclose-mode=2 on request from MZ

2008-05-09 15:04  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: Unit
	tests added for irplib_detmon_lin().

2008-05-09 11:05  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: New lower-level
	function for Linearity computation irplib_detmon_lin().

2008-05-06 12:39  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_body.h: Warning memory
	leak removal in irplib_ksigma_clip().

2008-04-30 10:58  lbilbao

	* irplib/irplib_detmon_body.h: Change in code just for clarity.

2008-04-30 10:49  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_body.h,
	tests/irplib_detmon-test.c, tests/irplib_detmon_lg-test.c: Bug in
	irplib_ksigma_clip() fixed. Unit test added.

2008-04-30 09:59  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: Temporary deactivation of
	irplib_detmon_gain() unit tests.

2008-04-29 19:30  lbilbao

	* irplib/irplib_detmon.c: Another typo fix.

2008-04-29 19:21  lbilbao

	* irplib/irplib_detmon.c: Typo fix.

2008-04-29 16:01  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon.h,
	irplib_detmon_body.h, irplib_detmon_lg.c:
	irplib_get_clean_mean_window() converted into irplib_ksigma_clip().
	Improvements in the algorithm.

2008-04-25 10:46  lbilbao

	* irplib/irplib_detmon.c: Wrong default value in
	irplib_detmon_ronbias() corrected.

2008-04-24 16:41  lbilbao

	* irplib/irplib_detmon.c: Unnecessary QC parameters removed. Bug in
	irplib_detmon_ronbias_master() fixed.

2008-04-24 16:06  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Bug in
	irplib_imagelist_collapse_stdev_create() fixed. Unit test added.

2008-04-23 18:58  llundin

	* irplib/irplib_utils.c: irplib_image_split(): Fix uninit warning

2008-04-23 09:46  yjung

	* recipes/hawki_img_detlin.c: removed QC DETLIN LAMP key

2008-04-22 14:53  yjung

	* configure.ac: -> 1.2.0

2008-04-22 14:44  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2008-04-22 14:36  yjung

	* recipes/: hawki_img_dark.c, hawki_img_detlin.c, hawki_img_flat.c,
	hawki_img_illum.c, hawki_img_jitter.c, hawki_img_zpoint.c: added
	QC.DATANCOM

2008-04-22 14:24  yjung

	* hawki/hawki_utils.h: added INS.FILT1-2.NAME and DET.NCORRS.NAME

2008-04-17 23:12  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_image_split(): 1st draft, API to
	be simplified

2008-04-17 16:34  llundin

	* irplib/Makefile.am: Removed irplib_test.{c,h}. (Empty) source
	files kept, in case new functionality is needed

2008-04-17 11:27  yjung

	* configure.ac: version -> 1.1.0

2008-04-17 11:13  yjung

	* hawki/hawki_dfs.h: [no log message]

2008-04-17 11:11  yjung

	* hawki/hawki_dfs.h: added new columns definitions

2008-04-17 11:10  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2008-04-16 16:12  yjung

	* recipes/: hawki_img_dark.c, hawki_img_flat.c: new QCs

2008-04-16 15:54  yjung

	* hawki/hawki_utils.h, recipes/hawki_img_dark.c,
	recipes/hawki_img_detlin.c, recipes/hawki_img_flat.c,
	recipes/hawki_img_illum.c, recipes/hawki_img_jitter.c,
	recipes/hawki_img_zpoint.c, recipes/hawki_util_distortion.c,
	recipes/hawki_util_gendist.c, recipes/hawki_util_stdstars.c,
	recipes/hawki_util_stitch.c: rewrote the paf files saving

2008-04-15 17:37  yjung

	* ChangeLog, hawki/hawki_distortion.c, hawki/hawki_utils.h,
	recipes/hawki_img_dark.c, recipes/hawki_img_detlin.c,
	recipes/hawki_img_flat.c, recipes/hawki_img_illum.c,
	recipes/hawki_img_jitter.c: added keywords (DET.CHIP.* DET.WIN....
	from the RAW files to the products

2008-04-15 10:04  lbilbao

	* irplib/irplib_oddeven.c: Odd-even filtering improved for cases
	where high frequencies on the X axis are also found

2008-04-15 02:55  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_dfs_table_convert() takes check
	function with non-const table

2008-04-14 20:23  llundin

	* irplib/irplib_utils.c: irplib_table_read_from_frameset():
	Improved error msg

2008-04-14 20:13  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_table_read_from_frameset(),
	irplib_dfs_table_convert(): table_set_row() is of type cpl_boolean

2008-04-14 19:50  llundin

	* irplib/irplib_utils.c: irplib_table_read_from_frameset(),
	irplib_dfs_table_convert(): Updated doxygen

2008-04-14 19:46  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_table_read_from_frameset(): Added
	with minimal unit-test

2008-04-14 19:02  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_dfs_table_convert(): 1st working
	version (with minimal unit-test)

2008-04-14 16:16  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_dfs_table_convert(): 1st draft -
	API incomplete

2008-04-10 15:00  lbilbao

	* irplib/irplib_oddeven.c: Bug in odd-even effect filtering
	definition fixed.

2008-04-08 12:56  yjung

	* irplib/irplib_spectrum.c: added include irplib_plot.h

2008-04-03 15:12  yjung

	* irplib/: irplib_spectrum.c, irplib_spectrum.h: added
	irplib_spectrum_detect_peaks() from CRIRES for Andrea

2008-04-02 17:16  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Unit tests added and improved in
	irplib_detmon_lg-test and bugs found fixed.

2008-04-01 17:23  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: New lower-level function
	irplib_detmon_gain() for GAIN computation added.

2008-03-26 09:46  llundin

	* irplib/irplib_plugin.h: IRPLIB_CONCAT(), IRPLIB_CONCAT2X():
	Readded (for uves)

2008-03-25 14:31  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Drop support for
	CPL 3.X (and earlier)

2008-03-25 14:08  llundin

	* irplib/irplib_plugin.h: Drop IRPLIB_CONCAT(), IRPLIB_CONCAT2X().
	Define IRPLIB_RECIPE_DEFINE as CPL_RECIPE_DEFINE. Define
	irplib_get_license as cpl_get_license. Drop naco_get_license()

2008-03-25 13:31  llundin

	* irplib/: irplib_test.c, irplib_test.h: cpl_test.h replaces
	irplib_test.h

2008-03-25 12:12  llundin

	* irplib/tests/: filter_median_type.c, irplib_detmon-test.c,
	irplib_detmon_lg-test.c, irplib_filter-test.c, irplib_hist-test.c,
	irplib_polynomial-test.c, irplib_utils-test.c,
	irplib_wlxcorr-test.c: cpl_test.h replaces irplib_test.h

2008-03-25 11:31  llundin

	* irplib/irplib_math_const.h: Depend on cpl_math_const.h and issue
	#warning with gcc

2008-03-25 11:26  llundin

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon-test.c,
	tests/irplib_detmon_lg-test.c, tests/irplib_polynomial-test.c,
	tests/irplib_wlxcorr-test.c: Use cpl_math module instead of
	irplib_math module

2008-03-25 11:10  llundin

	* irplib/: irplib_polynomial.c, irplib_stdstar.c, irplib_strehl.c,
	tests/irplib_detmon-test.c, tests/irplib_polynomial-test.c: Use
	cpl_math module instead of irplib_math module

2008-03-25 11:09  llundin

	* irplib/irplib_detmon.c: Use cpl_math module instead of
	irplib_math module. irplib_detmon_ronbias_master(): Fix uninit
	warning

2008-03-20 16:30  llundin

	* irplib/irplib_utils.h: error_if(): Fix check of CPL error code

2008-03-20 10:55  llundin

	* irplib/irplib_plugin.c: recipe_msg_set_level_from_env(): Drop.
	irplib_plugin_test(): Use cpl_msg_set_level(), when CPL_MSG_LEVEL
	is used, _dump() to /dev/null if not at debug level

2008-03-17 18:33  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: DFS05135. New products added:
	BP_MAP_HOT, BP_MAP_COLD, BP_MAP_DEV.

2008-03-17 17:26  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.c:
	New input parameter tolerance added to
	irplib_get_clean_mean_window().

2008-03-17 17:16  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.c:
	irplib_get_clean_mean_window() function API changed, kappa int -->
	double.

2008-03-17 15:28  lbilbao

	* irplib/irplib_detmon.c: Wrong use of frameset (needed for later
	use by EsoRex) fixed in irplib_detmon_ronbias() and unnecessary
	duplicated framesets removed. New function
	irplib_imagelist_collapse_stdev_create() added for later use in
	deviant pixel map creation.

2008-03-17 13:41  lbilbao

	* irplib/irplib_detmon.c: Bug in SYNTHETIC frame saving fixed.

2008-03-14 19:13  lbilbao

	* irplib/irplib_detmon.c: irplib_get_clean_mean_window() updated to
	do computation more precisely and faster.

2008-03-14 18:26  lbilbao

	* irplib/irplib_detmon.c: RON/Bias product saving simplified.

2008-03-14 17:42  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: Bug in
	multi-extension output saving fixed.

2008-03-13 16:16  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Action on ticket DFS05112.
	Multi-extension files support provided. Small bug in robustness of
	histogram computation fixed. Error checking improved overall, moved
	to skip_if - end_skip scheme. New parameter-filling functions
	added.

2008-03-13 11:46  yjung

	* hawki/hawki_distortion.c: [no log message]

2008-03-12 16:40  yjung

	* hawki/hawki_distortion.c: improve the shifts map creation

2008-03-10 12:51  yjung

	* configure.ac: version 1.0.0

2008-03-10 10:04  yjung

	* recipes/hawki_img_zpoint.c: added extinction in J H K

2008-03-10 09:55  yjung

	* recipes/hawki_img_zpoint.c: do not output ATX0 if extinction is
	unknown

2008-03-07 09:50  yjung

	* recipes/hawki_img_dark.c: [no log message]

2008-03-06 10:32  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2008-03-05 13:46  yjung

	* Makefile.am: added catalogs in the dist target

2008-02-28 18:13  amodigli

	* irplib/irplib_detmon.c: fixed English typo in ron/dsnu.method
	param description

2008-02-28 18:04  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: Info on dark
	parameters extended. Warnings removed.

2008-02-27 19:17  lbilbao

	* irplib/irplib_detmon_lg.c: Lamp CR (Count Rate) computation
	deactivated due to lack of template support.

2008-02-22 13:56  yjung

	* recipes/hawki_img_flat.c: [no log message]

2008-02-22 11:25  yjung

	* configure.ac: version 0.5.0

2008-02-22 11:15  yjung

	* hawki/hawki_utils.c, hawki/hawki_utils.h,
	recipes/hawki_img_zpoint.c, recipes/hawki_util_stdstars.c: added
	support for the Y filter

2008-02-22 11:05  yjung

	* catalogs/stdstars/: Hawki.txt, UKIRT-Fundamental.txt: added the Y
	filter

2008-02-22 11:02  yjung

	* recipes/hawki_img_flat.c: implemented the auto-selection process

2008-02-21 16:43  yjung

	* hawki/hawki_utils.h, recipes/hawki_img_dark.c: added QC.DARK.VCi
	MEAN MED and STDEV

2008-02-21 15:03  yjung

	* recipes/hawki_img_flat.c: [no log message]

2008-02-21 15:02  yjung

	* recipes/hawki_img_flat.c: first implementation of the frames
	selection

2008-02-21 14:49  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Disable all tests

2008-02-21 11:55  yjung

	* hawki/hawki_load.c, hawki/hawki_load.h, recipes/hawki_img_flat.c:
	fixed dark subtraction bug

2008-02-21 11:06  yjung

	* catalogs/: dist_map_chip1.txt, dist_map_chip2.txt,
	dist_map_chip3.txt, dist_map_chip4.txt, stdstars/Hawki.txt,
	stdstars/UKIRT-Fundamental.txt: added A #comment line on top

2008-02-21 09:31  llundin

	* irplib/tests/irplib_polynomial-test.c: #define MAXDEGREE 3

2008-02-20 15:25  llundin

	* irplib/tests/Makefile.am: clean-local: Added .logfile (*.log)

2008-02-20 14:41  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_2(): Use
	minimal residual

2008-02-19 16:30  llundin

	* irplib/irplib_polynomial.c: Update coverage comments,
	irplib_polynomial_solve_1d_3r(): replace assert() with round-off
	handling

2008-02-19 16:28  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Cover branch in
	irplib_polynomial_solve_1d_3r()

2008-02-18 10:04  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Drop
	doall also in subfunctions

2008-02-18 09:44  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Drop
	doall

2008-02-16 22:35  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Test minimal residual on
	cubic

2008-02-16 22:34  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_eval_{2,3}_max():
	Added. irplib_polynomial_solve_1d_{2,3}(): Use minimal residual
	method

2008-02-15 18:46  llundin

	* irplib/irplib_polynomial.c:
	irplib_polynomial_solve_1d_3{1,2,r,c}(): Added.
	irplib_polynomial_solve_1d_3(): Call new functions

2008-02-15 18:44  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): More tests cubic with
	complex roots

2008-02-15 11:54  llundin

	* irplib/irplib_polynomial.c: irplib_sort3(): Drop.
	irplib_polynomial_solve_1d_3(): complex-branch: Avoid cancellation
	on same-sign, Handle truncated imaginary part

2008-02-15 11:51  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): More tests cubic with
	complex roots

2008-02-15 09:33  lbilbao

	* irplib/tests/: irplib_detmon-test.c, irplib_detmon_lg-test.c:
	Unnecessary include removed

2008-02-14 23:33  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Added two tests on single
	real root for cubic

2008-02-14 23:32  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Avoid
	cancellation on single real root

2008-02-14 21:31  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Added two tests

2008-02-14 21:26  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3():
	acos-branch: Drop sort, prevent cancellation.
	irplib_polynomial_solve_1d_4(): c==0-branch: Single swap replaces
	Bubble-sort

2008-02-14 18:44  lbilbao

	* irplib/tests/Makefile.am: Options for conditional compilation
	with FFTW added.

2008-02-14 10:53  yjung

	* recipes/hawki_util_gendist.c: PRO TYPE

2008-02-14 10:38  yjung

	* configure.ac: 0.3.0 -> 0.4.0

2008-02-13 16:30  llundin

	* irplib/irplib_plot.c: Drop irplib_utils.h

2008-02-11 13:20  llundin

	* irplib/irplib_utils.h: error_if(), IRPLIB_XSTRINGIFY(),
	IRPLIB_STRINGIFY(): Added

2008-02-11 12:20  llundin

	* irplib/irplib_stdstar.h: IRPLIB_STDSTAR_LIMIT: Added

2008-02-11 08:54  llundin

	* irplib/: irplib_stdstar.c, irplib_stdstar.h:
	irplib_stdstar_great_circle_dist(), IRPLIB_STDSTAR_MAXDIST,
	IRPLIB_STDSTAR_NOMAG: Export. Replace tabs with spaces, __func__
	with cpl_func

2008-02-08 17:13  llundin

	* irplib/irplib_stdstar.c: irplib_stdstar_get_mag(): Add warning
	about buffer overflow

2008-02-07 13:37  llundin

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h:
	irplib_wlxcorr_find_1d() degshift is a cpl_array

2008-02-07 12:28  lbilbao

	* irplib/irplib_detmon.c: Downgrade to FFTW2

2008-02-06 18:23  llundin

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h, tests/Makefile.am,
	tests/irplib_wlxcorr-test.c: irplib_wlxcorr_find_1d(): Added stub

2008-02-06 17:44  llundin

	* irplib/irplib_plugin.c: irplib_plugin_test(): Allow
	<recipe>_exec() to propagate a pre-exisitng error before returning

2008-02-04 15:27  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: New parameters --tolerance and
	--pafname added.

2008-02-04 09:39  llundin

	* irplib/irplib_plugin.h: irplib_get_license(),
	IRPLIB_RECIPE_DEFINE(): use CPL when available

2008-02-01 13:49  llundin

	* irplib/irplib_polynomial.c: Improved doxygen

2008-01-31 16:40  llundin

	* irplib/filter_median.c: S_SWAP(): Doxygen

2008-01-31 16:25  llundin

	* irplib/irplib_filter.c: Move	/**@{*/ down

2008-01-31 16:22  llundin

	* irplib/filter_median.c: fill_row(): Fix doxygen warning

2008-01-31 14:26  amodigli

	* irplib/irplib_detmon_lg.c: updated ID

2008-01-29 11:12  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Try to ensure double-root
	detection on Darwin

2008-01-24 19:14  lbilbao

	* irplib/irplib_detmon_lg.c: Warning removed

2008-01-22 13:45  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: --bpmbin parameter added to control
	bad pixel map creation (binary or with values powers of 2), with
	unit test.

2008-01-21 15:00  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: Error messages
	and man-page improved -> DFS04844.

2008-01-21 13:10  lbilbao

	* irplib/irplib_detmon_lg.c: Message warning added and error made
	zero when fitting not over-determined -> DFS04847.

2008-01-21 08:58  llundin

	* irplib/irplib_filter.h: enum irplib_filter_mode: Drop comma at
	end of list

2008-01-21 08:56  llundin

	* irplib/: irplib_polynomial.c, tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all(): Unsupport degree = 4

2008-01-19 00:53  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_test_root_all(): Verify complex roots.
	irplib_polynomial_multiply_1d_factor(): Drop internal test.
	irplib_polynomial_solve_1d_all_test(): Test also quartic

2008-01-19 00:49  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3():
	Return largest root on single-request from quartic.
	irplib_polynomial_solve_1d_4(): Ensure sorting in biquadratic +
	0real, fix 0.5 bug + un-depress, drop unsupported

2008-01-19 00:43  llundin

	* irplib/irplib_test.c: irplib_test_abs_macro(): Improve message

2008-01-18 19:39  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c:
	Implementation of irplib_detmon_lg_lineff() made more robust.
	Change in irplib_detmon_linearity, dif_avg converted into
	|dif_avg|.

2008-01-18 17:50  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_4():
	Prototype added (not yet working)

2008-01-18 17:50  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_test_root_all(): Add info on comparison

2008-01-18 14:13  llundin

	* irplib/tests/irplib_polynomial-test.c: irplib_polynomial_add(),
	irplib_polynomial_multiply_scalar(): Added.
	irplib_polynomial_multiply_1d_factor(): Support complex roots.
	irplib_polynomial_solve_1d_all_test(): Test all cases with
	irplib_polynomial_test_root_all() only

2008-01-18 14:10  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_{2,3}():
	Takes doubles, instead of a const double *

2008-01-18 11:39  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in determination of bad pixel
	amount fixed.

2008-01-18 10:48  amodigli

	* irplib/irplib_detmon.c: add more verbosity to a failure message
	in case dark recipe has no input

2008-01-17 21:26  llundin

	* irplib/filter_median.c: Resolve doxygen warning regarding #

2008-01-17 21:23  llundin

	* irplib/irplib_stdstar.c: irplib_stdstar_get_mag(),
	irplib_stdstar_write_catalogs(): Resolve doxygen warnings

2008-01-17 20:59  llundin

	* irplib/irplib_polynomial.c: Drop #_cpl_error_code_

2008-01-17 20:42  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Fix
	(false) uninit warning

2008-01-17 19:43  llundin

	* irplib/tests/irplib_polynomial-test.c: fix warning

2008-01-17 19:10  llundin

	* irplib/tests/irplib_polynomial-test.c: Improve tests

2008-01-17 16:39  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_test_root_all(): Added

2008-01-17 16:36  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_2(): Sort
	real roots. Improve doxygen

2008-01-17 11:56  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_2():
	Ensure positive imaginary part

2008-01-17 11:47  llundin

	* irplib/: Makefile.am, irplib_polynomial.c, irplib_polynomial.h,
	tests/Makefile.am, tests/irplib_polynomial-test.c: Added
	irplib_polynomial with irplib_polynomial_solve_1d_all()

2008-01-17 11:21  llundin

	* irplib/: irplib_test.c, irplib_test.h: irplib_test_error(): Added

2008-01-17 10:20  lbilbao

	* irplib/irplib_detmon_lg.h: Spaces after backslashes removed

2008-01-17 09:57  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: Test deactivated.

2008-01-17 09:46  lbilbao

	* irplib/tests/: irplib_detmon-test.c, irplib_detmon_lg-test.c:
	cpl_test -> irplib_test

2008-01-17 09:22  llundin

	* irplib/filter_median.c: #define inline as comment when
	unsupported

2008-01-16 14:12  amodigli

	* irplib/irplib_detmon_lg.c: issued proper error message in case of
	failed poly fit

2008-01-16 13:53  amodigli

	* irplib/irplib_detmon_lg.c: issued proper message in case of input
	data set

2008-01-16 13:49  amodigli

	* irplib/irplib_detmon_lg.h: updated man-page lin-gain

2008-01-16 13:38  amodigli

	* irplib/irplib_detmon_lg.c: made verbose an error message

2008-01-16 13:38  amodigli

	* irplib/irplib_detmon_lg.h: improved lin-gain man page

2008-01-16 11:34  amodigli

	* irplib/irplib_detmon.c: renamed 'ESO QC STDEV' 'ESO QC DARK
	STDEV'

2008-01-16 11:31  amodigli

	* irplib/irplib_detmon.c: changed 'ESO QC BIAS METHOD BIAS' into
	'ESO QC BIAS METHOD VAL' for METHOD=RANDOM|HISTO|REGION

2008-01-09 15:35  yjung

	* recipes/hawki_util_stdstars.c: PRO TYPE key added

2008-01-09 15:35  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: new pro_type param
	for the write_catalogs() function

2008-01-09 15:25  yjung

	* hawki/hawki_load.c, hawki/hawki_load.h, recipes/hawki_img_dark.c,
	recipes/hawki_img_detlin.c, recipes/hawki_img_flat.c,
	recipes/hawki_img_illum.c, recipes/hawki_img_jitter.c,
	recipes/hawki_img_zpoint.c, recipes/hawki_util_distortion.c,
	recipes/hawki_util_gendist.c, recipes/hawki_util_stitch.c: added
	PRO TYPE keys in the products

2008-01-08 16:40  lbilbao

	* irplib/irplib_detmon_lg.c: Downgrade of FFTW-dependant code from
	FFTW3 to FFTW2

2008-01-07 10:33  yjung

	* recipes/hawki_img_dark.c: Changed QC params

2008-01-04 13:54  yjung

	* hawki/hawki_dfs.c, hawki/hawki_dfs.h, recipes/hawki_img_dark.c,
	recipes/hawki_img_flat.c: changed BPM PRO.CATG

2008-01-04 11:05  yjung

	* hawki/hawki_dfs.c, hawki/hawki_dfs.h, recipes/hawki_img_dark.c,
	recipes/hawki_img_flat.c, recipes/hawki_img_illum.c,
	recipes/hawki_img_jitter.c, recipes/hawki_img_zpoint.c: changed PRO
	keys

2007-12-19 18:57  lbilbao

	* irplib/irplib_detmon_lg.c: Memory leaks fixed. Error and memory
	handling changed in irplib_detmon_lg_save() to skip_if-end_skip
	scheme for that reason.

2007-12-19 18:21  lbilbao

	* irplib/irplib_detmon.c: Memory leak and uninitialized values
	fixed.

2007-12-14 09:48  lbilbao

	* irplib/irplib_detmon_lg.c: Error in GAIN_CORR computation fixed.

2007-12-13 18:45  lbilbao

	* irplib/irplib_detmon.c: Error fixed and final modification in
	irplib_get_clean_mean_window().

2007-12-13 12:10  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon_lg-test.c: Memory
	leaks fixed.

2007-12-13 09:23  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: Changes in
	irplib_get_clean_mean_window() to speed it up by a factor 5.

2007-12-12 14:21  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen info added for all resting
	functions.

2007-12-12 12:12  lbilbao

	* irplib/tests/: irplib_detmon-test.c, irplib_detmon_lg-test.c:
	Removal of products simplified in irplib_detmon-test and added to
	irplib_detmon_lg-test.

2007-12-12 12:01  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: New
	unit tests added to irplib_detmon_lg-test.c and failures detected
	by those new tests in irplib_detmon_lg() fixed.

2007-12-11 18:39  lbilbao

	* irplib/irplib_detmon.c: Bug in
	irplib_detmon_ronbias_check_defaults() fixed.

2007-12-11 16:45  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Unused parameters --threshold_min,
	--threshold_max and --threshold removed.

2007-12-11 15:06  lbilbao

	* irplib/irplib_detmon_lg.c: irplib_detmon_gain() modified to make
	use of skip_if-end_skip scheme.

2007-12-11 14:47  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in irplib_detmon_gain() fixed.
	Unnecessary variable fit_table removed overall. Other minor
	warnings fixed.

2007-12-11 11:50  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen info added.

2007-12-10 15:30  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: Bug
	fixed. Unit test activated and frameset creation modified.

2007-12-04 19:51  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c:
	Linearity polynomial definition changed back. Effective linearity
	correction applied. Error checking improved at some points. Bug in
	irplib_detmon_lg_opt_lampcr() fixed. Changes in
	irplib_detmon_lg_split_onoff(). Some doxygen information added.
	Unit test inputs adapted.

2007-11-30 15:47  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2007-11-30 15:44  yjung

	* recipes/hawki_img_zpoint.c: added --detect_sigma option

2007-11-29 14:27  lbilbao

	* irplib/irplib_detmon.c: Forgotten instruction to destroy
	fftw_plan added.

2007-11-29 14:25  lbilbao

	* irplib/irplib_detmon_lg.c: Modifications on some pointers to make
	code clearer.

2007-11-28 16:54  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in previous commit fixed.

2007-11-28 16:44  lbilbao

	* irplib/irplib_detmon_lg.c: Overall changes to process
	multi-extension cases in a more efficient way, loading just an
	extension at a time instead of all together.

2007-11-27 18:08  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: Drop unnecessary
	functions irplib_detmon_{image, propertylist, table,
	imagelist}_{new, delete}().

2007-11-27 18:04  lbilbao

	* irplib/: irplib_detmon_body.h, Makefile.am: Drop
	irplib_detmon_body.h

2007-11-27 17:35  lbilbao

	* irplib/irplib_detmon.c: FFTW part of
	irplib_detmon_pernoise_reduce() changed to use
	fftwf_plan_many_dft_r2c().

2007-11-23 16:26  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: New parameter --pix2pix

2007-11-23 10:41  lbilbao

	* irplib/irplib_detmon_lg.c: Fitted polynomial for linearity
	modified.

2007-11-22 15:03  lbilbao

	* irplib/irplib_detmon_lg.c: Some memory leaks fixed.

2007-11-22 13:03  yjung

	* hawki/hawki_distortion.c: [no log message]

2007-11-22 13:00  yjung

	* hawki/hawki_distortion.c: made dependant of CPL 4.1 by using
	cpl_image_warp

2007-11-21 13:14  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Some memory
	leaks fixed.

2007-11-20 16:52  lbilbao

	* irplib/irplib_detmon_lg.c: Method used to compute GAIN written
	also as QC parameter.

2007-11-20 16:18  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: Bug
	fixed in irplib_detmon_lg() - OPT case - specific unit test.

2007-11-20 15:18  lbilbao

	* irplib/irplib_detmon_lg.c: Error checking improved in
	irplib_detmon_lg_qc_ptc().

2007-11-20 11:18  lbilbao

	* irplib/irplib_detmon_lg.c: Variable median[] initialised in
	function irplib_detmon_opt_contamination().

2007-11-20 11:14  lbilbao

	* irplib/irplib_detmon_lg.c: AUTOCORR and LAMP FLUX only copied
	when computed (to avoid to copy initialisation (meaningless)
	values). Error checking added in irplib_detmon_opt_contamination().

2007-11-19 19:21  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Avoid to write OPT-specific
	parameters in NIR case; changes in irplib_detmon_lg_fill_parlist()
	and irplib_detmon_lg_retrieve_parlist(), API included to receive
	OPT/NIR boolean.

2007-11-19 18:50  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: irplib_detmon_fill_params() changed
	into irplib_detmon_lg_fill_parlist() and
	irplib_detmon_fill_params_default() into 2 functions,
	irplib_detmon_lg_fill_parlist_nir_default() and
	irplib_detmon_lg_fill_parlist_opt_default().

2007-11-19 18:08  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: New unit test added for
	cases with more than a setting.

2007-11-19 15:53  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c:
	Change in DIT extraction; DIT keyword is read in NIR case, WIN1
	UIT1 when OPT. As a consequence, changes in test files' creation
	functions in irplib_detmon_lg-test.c. Error checking improved in
	irplib_detmon_pair_extract (API changed to return a cpl_error_code.

2007-11-19 14:47  lbilbao

	* irplib/irplib_detmon.h: API of function
	irplib_detmon_fill_parlist() changed.

2007-11-19 12:45  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_check_defaults()
	function modified to retrieve PRE-/OVERSCAN parameters from input
	FITS header.

2007-11-19 10:48  llundin

	* irplib/irplib_plugin.c: irplib_parameterlist_get_*(): Improved
	error handling

2007-11-16 16:39  jmlarsen

	* irplib/tests/irplib_filter-test.c: Implemented median filter
	border mode: extrapolate. Decreased test image sizes

2007-11-16 16:38  jmlarsen

	* irplib/tests/filter_median_type.c: Removed first call of
	irplib_image_filter, did not work with image size 1x1 and radii 0

2007-11-16 16:36  jmlarsen

	* irplib/irplib_filter.c: Implemented median filter border mode:
	extrapolate

2007-11-16 16:35  jmlarsen

	* irplib/filter_median.c: Implemented border mode: extrapolate

2007-11-16 14:51  jmlarsen

	* irplib/tests/filter_median_type.c: IRPLIB_FILTER_BORDER_COPY: Use
	constant extrapolation

2007-11-16 14:29  jmlarsen

	* irplib/: irplib_filter.c, tests/filter_median_type.c,
	tests/irplib_filter-test.c: Implemented median filter border mode:
	copy

2007-11-16 14:28  jmlarsen

	* irplib/filter_median.c: Implemented border mode: copy

2007-11-16 12:20  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Warning/Info
	message replaces failure on CPL run-/compile-version mismatch

2007-11-16 12:02  lbilbao

	* irplib/irplib_detmon_lg.c: New function added
	irplib_detmon_lg_lamp_stab() to compute lamp stability.

2007-11-16 08:57  jmlarsen

	* irplib/tests/irplib_filter-test.c: Implemented median filter
	border mode: filter

2007-11-16 08:56  jmlarsen

	* irplib/tests/filter_median_type.c: Changed selection of
	lower/higher median for border mode IRPLIB_FILTER_BORDER_FILTER

2007-11-16 08:52  jmlarsen

	* irplib/irplib_filter.c: Implemented median filtering border mode:
	filter

2007-11-16 08:52  jmlarsen

	* irplib/: filter_median.c, irplib_filter_double.c,
	irplib_filter_float.c, irplib_filter_int.c: Implemented border
	mode: filter

2007-11-15 17:44  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: #if defined added to avoid
	error due to CPL HEAD dependency of the function to be checked.

2007-11-15 17:38  lbilbao

	* irplib/irplib_detmon_lg.c: Variable name changed to a more
	descriptive one (procatg_lincoeff -> procatg_coeffscube).

2007-11-15 17:18  lbilbao

	* irplib/irplib_detmon_lg.c: Parameter --rescale to
	activate/deactivate rescaling of ON/OFF frames introduced.

2007-11-15 16:44  lbilbao

	* irplib/irplib_detmon_lg.c: Unnecessary variable x_pos removed
	from several places. #if defined statement corrected. QC parameters
	for fitting errors added. Bug in linearity polynomial computation
	fixed.

2007-11-15 15:08  jmlarsen

	* irplib/tests/filter_median_type.c: Removed dead code

2007-11-15 13:53  jmlarsen

	* irplib/tests/filter_median_type.c: Do not compare numbers if
	filtering function fails

2007-11-15 13:52  jmlarsen

	* irplib/: irplib_filter.c, tests/irplib_filter-test.c: Implemented
	median filtering border mode: crop

2007-11-15 13:47  jmlarsen

	* irplib/filter_median.c: Implemented border mode: crop

2007-11-14 17:53  lbilbao

	* irplib/irplib_detmon_lg.c: Modify saving of data-cube to be
	compliant with CPL4.0.1

2007-11-14 17:51  jmlarsen

	* irplib/tests/irplib_filter-test.c: Test with non-quadratic images
	and kernels

2007-11-14 17:41  jmlarsen

	* irplib/tests/filter_median_type.c: Removed line breaks from
	message strings

2007-11-14 17:39  jmlarsen

	* irplib/irplib_filter.c: Support median filtering with
	non-quadratic images and kernels

2007-11-14 17:36  jmlarsen

	* irplib/filter_median.c: Make work with non-quadratic kernels

2007-11-14 16:54  jmlarsen

	* irplib/filter_median.c: Support non-quadratic images

2007-11-14 16:31  llundin

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_random(): Fixed
	(false) uninit warning

2007-11-14 16:25  jmlarsen

	* irplib/tests/irplib_filter-test.c: Print debugging statements at
	debug, not warning, message level

2007-11-14 16:23  jmlarsen

	* irplib/tests/irplib_filter-test.c: Prepare for testing with
	non-quadratic images/kernels

2007-11-14 16:21  jmlarsen

	* irplib/tests/filter_median_type.c: Allow non-quadratic kernels

2007-11-14 16:20  jmlarsen

	* irplib/irplib_filter.c: Support hsizex = 0 and/or hsizey = 0

2007-11-14 16:19  jmlarsen

	* irplib/filter_median.c: Support radius = (0, 0)

2007-11-14 12:58  lbilbao

	* irplib/irplib_detmon_lg.c: Datacube saving for multi-extension
	case added.

2007-11-14 12:21  lbilbao

	* irplib/irplib_detmon.c: Change in irplib_detmon_ronbias() to
	support processing on difference frames.

2007-11-14 11:42  yjung

	* configure.ac: 0.2.0 -> 0.3.0

2007-11-13 16:47  yjung

	* recipes/hawki_util_stitch.c: [no log message]

2007-11-13 16:00  yjung

	* recipes/: Makefile.am, hawki_util_stitch.c: [no log message]

2007-11-13 15:37  yjung

	* hawki/hawki_distortion.c: [no log message]

2007-11-13 15:26  yjung

	* hawki/: hawki_distortion.c, hawki_distortion.h: [no log message]

2007-11-13 14:19  llundin

	* irplib/irplib_test.h: cpl_test_init(): Take also
	PACKAGE_BUGREPORT

2007-11-13 13:42  lbilbao

	* irplib/irplib_detmon_lg.c: Change in irplib_detmon_lg() to make
	irplib_detmon_lg_check_defaults() usable for AMBER and other cases
	at the same time.

2007-11-13 11:44  yjung

	* hawki/: hawki_distortion.c, hawki_distortion.h, hawki_utils.c,
	hawki_utils.h: [no log message]

2007-11-13 11:40  yjung

	* recipes/: hawki_img_jitter.c, hawki_util_distortion.c: [no log
	message]

2007-11-12 18:33  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: New
	AMBER-specific recipe added for testing purposes. Necessary
	modifications done in irplib_detmon_lg(), including API change to
	get a pointer to AMBER-specific function.

2007-11-12 12:50  yjung

	* recipes/hawki_util_distortion.c: [no log message]

2007-11-12 12:16  yjung

	* hawki/: hawki_dfs.c, hawki_dfs.h: [no log message]

2007-11-09 15:57  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: irplib_detmon_lg() API changed to
	enable a new feature needed to process AMBER data.

2007-11-09 14:04  llundin

	* irplib/: irplib_test.c, irplib_test.h: CPL test macros used when
	available

2007-11-08 17:53  lbilbao

	* irplib/irplib_detmon_lg.c: Change ir PAF creation
	(multi-extension case) to get mandatory keywords from both primary
	and extension headers.

2007-11-08 15:37  lbilbao

	* irplib/irplib_detmon_lg.c: Partial change in
	irplib_detmon_lg_save() to save linearity coefficients into a data
	cube (done only for no-extension case).

2007-11-08 13:27  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-11-08 12:05  lbilbao

	* irplib/irplib_detmon_lg.c: Some warnings fixed.

2007-11-08 12:03  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: Unnecessary #define REGEXP
	removed (now in irplib_detmon_lg.h).

2007-11-08 11:28  yjung

	* recipes/: hawki_img_illum.c, hawki_img_jitter.c: [no log message]

2007-11-08 11:23  yjung

	* hawki/: hawki_distortion.c, hawki_distortion.h: [no log message]

2007-11-08 11:20  yjung

	* hawki/Makefile.am: [no log message]

2007-11-08 11:11  yjung

	* hawki/: hawki_utils.c, hawki_utils.h: [no log message]

2007-11-08 10:57  yjung

	* hawki/: hawki_utils.c, hawki_utils.h: [no log message]

2007-11-07 17:24  lbilbao

	* irplib/irplib_detmon_lg.c: New CRIRES-specific recipe added for
	testing purposes. Some needed changes in irplib_detmon_lg_save()
	related to correction PAF creation in multi-extension cases.

2007-11-07 14:24  lbilbao

	* irplib/irplib_detmon_lg.h: New SINFONI-specific recipe added for
	testing purposes.

2007-11-07 10:38  lbilbao

	* irplib/irplib_detmon_lg.c: Errors in QC parameters' names and
	corresponding comments fixed.

2007-11-06 18:48  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon.h,
	irplib_detmon_body.h, irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/Makefile.am, tests/irplib_detmon-test.c,
	tests/irplib_detmon_lg-test.c: irplib_detmon module splitted. New
	module irplib_detmon_lg with Lin/Gain functions.

2007-11-06 17:06  lbilbao

	* irplib/Makefile.am: Bug introduced in previous erroneus commit
	fixed

2007-11-06 16:59  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_body.h,
	Makefile.am:  API change in irplib_detmon_lg() (return changed from
	int to cpl_error_code. Changes in error checking overall the same
	function to meet skip_if - end_skip model. New functions
	irplib_detmon_{table, propertylist, imagelist, image}_{new, delete}
	to ease multi-extension support. New file irplib_detmon_body.h for
	these functions.

2007-11-06 16:04  yjung

	* recipes/hawki_img_illum.c: add subtraction of the next images

2007-11-06 15:14  yjung

	* hawki/hawki_dfs.h: [no log message]

2007-11-06 15:14  yjung

	* recipes/hawki_img_zpoint.c: add check product

2007-11-06 14:41  yjung

	* hawki/hawki_load.c, hawki/hawki_load.h, hawki/hawki_utils.c,
	hawki/hawki_utils.h, recipes/hawki_img_dark.c,
	recipes/hawki_img_flat.c, recipes/hawki_img_zpoint.c,
	recipes/hawki_util_distortion.c: [no log message]

2007-11-06 13:42  yjung

	* hawki/: hawki_dfs.c, hawki_dfs.h: [no log message]

2007-11-06 11:58  yjung

	* recipes/hawki_img_flat.c: [no log message]

2007-11-06 11:41  yjung

	* recipes/hawki_img_jitter.c: allow big offsets through command
	line options

2007-11-06 11:16  yjung

	* hawki/hawki_dfs.h, hawki/hawki_utils.c, hawki/hawki_utils.h,
	recipes/hawki_img_dark.c, recipes/hawki_img_flat.c: added options
	and products

2007-11-05 16:48  lbilbao

	* irplib/irplib_detmon.c: irplib_sprintf moved to cpl_sprintf.
	Error checking changed to skip_if style in irplib_detmon_lg(),
	irplib_detmon_lg_reduce() and irplib_detmon_lg_reduce_all(). New
	creation functions added to encapsulate initialisation of
	multi-extension objects. clreturn_if macro unused and removed.

2007-11-05 15:16  lbilbao

	* irplib/irplib_detmon.c: Redefinition of QC parameters according
	to DFO's requirements. Adaptation to these redefinitions in
	functions irplib_detmon_lg_qc_ptc() and irplib_detmon_lg_qc_med().
	Error checking in these functions improved with the use of skip_if
	macro.

2007-11-05 12:49  lbilbao

	* irplib/irplib_detmon.c: New function irplib_detmon_lg_qc_med().
	Error checking clarified overall.

2007-11-05 11:59  lbilbao

	* irplib/irplib_detmon.c: Some warnings in
	irplib_detmon_lg_reduce_dit() and irplib_detmon_lg_reduce_all()
	fixed.

2007-11-02 17:10  llundin

	* irplib/: irplib_filter.c, irplib_filter_body.c:
	irplib_image_filter(): Allow reciprocal multiplication in averaging

2007-11-02 10:47  llundin

	* irplib/irplib_filter_body.c: irplib_image_filter_*_*(): Drop
	variable j

2007-11-02 10:17  llundin

	* irplib/: filter_median.c, irplib_filter.c, irplib_filter.h,
	irplib_filter_body.c, tests/filter_median_type.c,
	tests/irplib_filter-test.c: IRPLIB_FILTER_BORDER_FILTER replaces
	IRPLIB_FILTER_BORDER_ANY

2007-11-01 09:37  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c:
	Replace CPL average ref with two alternative refs (bf and uves).
	Enable more tests for averaging, drop tol for median back to zero

2007-10-31 17:45  llundin

	* irplib/tests/filter_median_type.c: Lower bar on double

2007-10-31 17:42  llundin

	* irplib/tests/irplib_filter-test.c: Disable some average modes not
	supported by brute force

2007-10-31 17:42  llundin

	* irplib/tests/filter_median_type.c: warning -> info

2007-10-31 17:41  llundin

	* irplib/irplib_filter_body.c: 1st working prototype

2007-10-31 16:05  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c:
	filter_average_bf(): Added

2007-10-31 15:13  llundin

	* irplib/tests/irplib_filter-test.c: Loop over filter mode
	(IRPLIB_FILTER_MEDIAN, IRPLIB_FILTER_AVERAGE with error calls, do
	not enable actual test of IRPLIB_FILTER_AVERAGE

2007-10-31 15:12  llundin

	* irplib/: irplib_filter.c, irplib_filter_body.c:
	irplib_image_filter(): Allow r=0 in one dim.
	irplib_image_filter_*_*(): int replaces unsigned, use ACCU_TYPE for
	accumulation, Add prototype body

2007-10-31 09:56  lbilbao

	* irplib/irplib_detmon.c: const modifier added in API of function
	irplib_detmon_lg_reduce_all() and subsequently to several
	variables.

2007-10-30 18:10  llundin

	* irplib/: Makefile.am, irplib_filter.c, irplib_filter_body.c:
	irplib_image_filter(): Add stubs for average filter

2007-10-30 17:27  llundin

	* irplib/irplib_filter.c: irplib_image_filter(): Prep for
	IRPLIB_FILTER_AVERAGE support

2007-10-30 16:56  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: --method parameter added to
	irplib_detmon_lg(), to choose between PTC and MED. New function
	irplib_detmon_lg_qc_ptc() for the 1. method. As a consequence, API
	change in irplib_detmon_fill_params(). API change in
	irplib_detmon_linearity(), too, to make it capable to manage all
	posible cases in a single call.

2007-10-30 11:32  lbilbao

	* irplib/irplib_detmon.c: clreturn_if unused macro removed from
	irplib_detmon_lg_reduce(). Bug in the creation of opt_offs variable
	(in the same function) fixed.

2007-10-30 11:12  lbilbao

	* irplib/irplib_detmon.c: Minor changes in
	irplib_detmon_pair_extract() to avoid failure in Solaris machines

2007-10-30 09:34  lbilbao

	* irplib/: irplib_detmon.h, tests/irplib_detmon-test.c: Untabified

2007-10-29 19:26  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ilist_load_fset() modified
	to be used for framesets with any number of frames (not only 2).
	This function is used then in irplib_detmon_lg_reduce_dit(),
	removing a piece of code.

2007-10-29 18:57  lbilbao

	* irplib/irplib_detmon.c: Modifications in
	irplib_detmon_lg_reduce_dit() to make the code cleaner.

2007-10-29 18:14  lbilbao

	* irplib/irplib_detmon.c: New function added
	irplib_detmon_lg_reduce_dit() to encapsulate some code previously
	in irplib_detmon_lg_reduce().

2007-10-29 15:35  lbilbao

	* irplib/irplib_detmon.c: Some tabs removed. Some functions
	redefined as static.

2007-10-29 14:58  llundin

	* irplib/tests/filter_median_type.c: test_irplib_image_filter_*():
	call memset only on IRPLIB_FILTER_BORDER_NOP

2007-10-29 13:16  lbilbao

	* irplib/irplib_detmon.c: New function added
	irplib_detmon_pair_extract() to encapsulate some code previously in
	irplib_detmon_lg_reduce().

2007-10-29 09:53  cguirao

	* Makefile.purify.in, configure.ac, m4macros/purify.m4: NRI
	compliant

2007-10-26 16:36  llundin

	* irplib/: filter_median.c, irplib_filter.h,
	tests/filter_median_type.c, tests/irplib_filter-test.c:
	IRPLIB_FILTER_BORDER_NOP replaces IRPLIB_FILTER_BORDER_COPY as
	default

2007-10-26 16:01  llundin

	* irplib/: filter_median.c, irplib_filter.c, irplib_filter.h,
	tests/filter_median_type.c, tests/irplib_filter-test.c:
	IRPLIB_FILTER_BORDER_ANY replaces IRPLIB_FILTER_BORDER_LOWER

2007-10-26 14:39  llundin

	* irplib/irplib_filter.c: Document lack of support for bad pixels

2007-10-26 14:22  llundin

	* irplib/tests/filter_median_type.c:
	test_irplib_image_filter_{double,float,int}(): test of
	irplib_image_filter() replaces test of
	irplib_image_filter_{double,float,int}()

2007-10-26 14:06  llundin

	* irplib/: filter_median.c, irplib_filter.c,
	tests/filter_median_type.c, tests/irplib_filter-test.c: 
	filter_median_1(): Support border-lower-median

2007-10-26 10:53  lbilbao

	* irplib/irplib_detmon.c: New function added
	irplib_detmon_ilist_load_frameset() to encapsulate some code
	previously in irplib_detmon_lg_reduce().

2007-10-25 17:21  jmlarsen

	* irplib/filter_median.c: Fixed documentation of probabilities for
	3x3 filtering, added doxygen doc

2007-10-25 17:18  jmlarsen

	* irplib/irplib_filter.c: Added doxygen end marker

2007-10-25 16:42  lbilbao

	* irplib/irplib_detmon.c: Comment moved to the proper place.

2007-10-25 15:57  lbilbao

	* irplib/irplib_detmon.c: Change in irplib_detmon_gain() to speed
	execution for optical recipe.

2007-10-25 15:32  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: --filter option added to filter images
	with a median flux value higher than the one given by the user
	(change in API of function irplib_detmon_fill_params()). Update of
	the QC parameters (bug in GAIN FIT computation fixed, new QC
	parameters added). Small bug in
	irplib_detmon_autocorrelation_factor() fixed.

2007-10-25 15:16  llundin

	* irplib/: filter_median.c, tests/filter_median_type.c,
	tests/irplib_filter-test.c: Support and test
	IRPLIB_FILTER_BORDER_CROP for r=1

2007-10-25 15:15  llundin

	* irplib/tests/irplib_filter-test.c: Add macro BENCHSIZE for bench
	mark calls

2007-10-25 11:25  llundin

	* irplib/tests/irplib_filter-test.c: Test border modes copy and
	crop via loop

2007-10-24 17:11  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: API of irplib_detmon_lg() changed to
	pass a regexp to the function signalling which instrument-specific
	keywords must be copied to the PAF file.

2007-10-24 15:45  lbilbao

	* irplib/irplib_detmon.c: Comments added to QC parameters. Old
	ifdef (CPL 3.1) removed.

2007-10-23 18:37  lbilbao

	* irplib/irplib_detmon.c: Additional check for --intermediate
	option added.

2007-10-23 17:26  lbilbao

	* irplib/tests/irplib_detmon-test.c: Bug in previous modification
	fixed

2007-10-23 17:12  lbilbao

	* irplib/tests/irplib_detmon-test.c: Remove more testing products

2007-10-23 17:03  lbilbao

	* irplib/tests/irplib_detmon-test.c: Remove testing products

2007-10-23 16:14  lbilbao

	* irplib/irplib_detmon.c: Changes in irplib_detmon_lg_save() to
	load keywords from input file's extension header into product
	file's extension header.

2007-10-23 10:07  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c: Drop
	stdbool.h

2007-10-22 15:24  llundin

	* irplib/: filter_median.c, irplib_filter.c, irplib_filter.h,
	tests/filter_median_type.c, tests/irplib_filter-test.c: Add
	IRPLIB_FILTER_BORDER_CROP, IRPLIB_FILTER_BORDER_COPY (r=1) with
	unit tests

2007-10-22 15:21  llundin

	* irplib/irplib_test.c: Time the unit tests

2007-10-22 14:48  llundin

	* irplib/tests/Makefile.am: Move filter test one down

2007-10-22 12:44  lbilbao

	* irplib/tests/irplib_detmon-test.c: Imagesize reduced in unit
	tests

2007-10-22 11:02  llundin

	* irplib/filter_median.c: Drop stdbool.h

2007-10-22 10:25  llundin

	* irplib/: filter_median.c, irplib_filter_double.c,
	irplib_filter_float.c, irplib_filter_int.c: filter_median():
	Support different pixel types in input and output

2007-10-20 12:47  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c: Add
	unit test for rectangular images, Rx=Ry=1

2007-10-20 03:06  yjung

	* recipes/: hawki_img_flat.c, hawki_img_dark.c, hawki_img_flat.c:
	[no log message]

2007-10-20 02:34  yjung

	* hawki/: hawki_pfits.c, hawki_pfits.h: [no log message]

2007-10-20 01:54  yjung

	* recipes/hawki_img_flat.c: classify by DIT

2007-10-20 01:48  yjung

	* recipes/hawki_img_dark.c: add sigma as a input and apply average
	with rejection

2007-10-19 22:56  llundin

	* irplib/: filter_median.c, irplib_filter.c,
	irplib_filter_double.c, irplib_filter_float.c, irplib_filter_int.c:
	Support rectangular images (for r=1) - NO UNIT TEST YET

2007-10-19 22:37  llundin

	* irplib/: irplib_filter.c, irplib_filter.h,
	irplib_filter_double.c, irplib_filter_float.c, irplib_filter_int.c,
	tests/filter_median_type.c: Prepare for supporting Nx X Ny, Rx X Ry

2007-10-19 21:06  llundin

	* irplib/filter_median.c: filter_median_1(): Fix (false) uninit
	warning

2007-10-19 16:07  llundin

	* irplib/tests/filter_median_type.c: Put timings in same message

2007-10-19 15:52  llundin

	* irplib/tests/irplib_filter-test.c: Add some more tests

2007-10-19 15:51  llundin

	* irplib/tests/filter_median_type.c: cpl_msg_info/error() replaces
	printf()

2007-10-19 15:23  jmlarsen

	* irplib/irplib_filter.c: Added check of input/output type
	consistency

2007-10-19 15:22  jmlarsen

	* irplib/tests/Makefile.am: Added filter_median_type.c to
	distributions

2007-10-19 15:21  jmlarsen

	* irplib/Makefile.am: Added filter_median.c to distributions

2007-10-19 14:36  llundin

	* irplib/: Makefile.am, filter_median.c, irplib_filter.c,
	irplib_filter.h, irplib_filter_double.c, irplib_filter_float.c,
	irplib_filter_int.c, tests/Makefile.am, tests/filter_median_type.c,
	tests/irplib_filter-test.c: Added module irplib_filter with unit
	tests

2007-10-19 07:04  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-10-18 02:29  yjung

	* hawki/hawki_utils.h: [no log message]

2007-10-18 02:29  yjung

	* recipes/: hawki_img_illum.c, hawki_img_zpoint.c: photometry
	aperture computed from the star fwhm

2007-10-18 01:36  yjung

	* recipes/hawki_img_zpoint.c: photometry aperture uses the fwhm

2007-10-17 03:58  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-10-17 02:43  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-10-16 22:58  yjung

	* recipes/: hawki_img_zpoint.c, hawki_img_zpoint.c: [no log
	message]

2007-10-16 22:38  yjung

	* recipes/hawki_img_illum.c: [no log message]

2007-10-16 20:20  yjung

	* recipes/hawki_img_illum.c: [no log message]

2007-10-16 11:50  lbilbao

	* irplib/irplib_detmon.c: Doxygen info of irplib_detmon_lg()
	updated.

2007-10-16 05:38  yjung

	* hawki/hawki_pfits.c: add support for OPEN and open

2007-10-16 04:28  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-10-16 04:16  yjung

	* irplib/irplib_stdstar.c, irplib/irplib_stdstar.h,
	recipes/hawki_img_zpoint.c: [no log message]

2007-10-16 03:48  yjung

	* catalogs/stdstars/UKIRT-Fundamental.txt: [no log message]

2007-10-16 03:42  yjung

	* recipes/hawki_img_illum.c, recipes/hawki_img_zpoint.c,
	hawki/hawki_dfs.h, hawki/hawki_utils.c, hawki/hawki_utils.h: [no
	log message]

2007-10-15 23:51  yjung

	* recipes/: Makefile.am, hawki_util_gendata.c,
	hawki_util_harmonize.c, hawki_util_lsbg.c, hawki_util_split.c,
	hawki_util_stitch.c, hawki_util_test.c: [no log message]

2007-10-15 21:12  yjung

	* recipes/hawki_img_illum.c: [no log message]

2007-10-15 21:04  yjung

	* hawki/hawki_dfs.h, recipes/hawki_img_illum.c: [no log message]

2007-10-15 04:00  yjung

	* recipes/hawki_img_illum.c: [no log message]

2007-10-15 03:53  yjung

	* recipes/hawki_img_illum.c: [no log message]

2007-10-15 03:00  yjung

	* hawki/: hawki_utils.c, hawki_utils.h: added cpl_bivector *
	hawki_get_offsets(cpl_frameset * fset)

2007-10-15 02:13  yjung

	* recipes/hawki_img_illum.c: [no log message]

2007-10-15 02:04  yjung

	* hawki/hawki_dfs.h: [no log message]

2007-10-15 01:40  yjung

	* hawki/: hawki_dfs.c, hawki_dfs.h: [no log message]

2007-10-15 01:22  yjung

	* recipes/: hawki_img_illum.c, Makefile.am: [no log message]

2007-10-15 00:48  yjung

	* configure.ac, hawki/hawki_utils.c, hawki/hawki_utils.h: [no log
	message]

2007-10-14 21:44  yjung

	* hawki/hawki_dfs.h, recipes/hawki_util_gendist.c: [no log message]

2007-10-14 20:58  yjung

	* catalogs/: dist_map.txt, dist_map_chip1.txt, dist_map_chip2.txt,
	dist_map_chip3.txt, dist_map_chip4.txt: [no log message]

2007-10-14 05:10  yjung

	* recipes/hawki_util_gendist.c: [no log message]

2007-10-14 04:43  yjung

	* hawki/hawki_utils.c: [no log message]

2007-10-14 04:38  yjung

	* hawki/hawki_dfs.h, recipes/hawki_img_jitter.c,
	recipes/hawki_util_stitch.c: added stitched in jitter

2007-10-14 04:17  yjung

	* hawki/hawki_utils.c, hawki/hawki_utils.h,
	recipes/hawki_util_stitch.c: [no log message]

2007-10-14 01:34  yjung

	* recipes/hawki_util_stitch.c: [no log message]

2007-10-14 00:44  yjung

	* recipes/hawki_img_jitter.c, hawki/hawki_saa.c: [no log message]

2007-10-14 00:17  yjung

	* recipes/hawki_img_jitter.c: Add the SKY frames handling

2007-10-13 21:35  yjung

	* recipes/hawki_img_flat.c: separate the input frames by filter

2007-10-06 11:10  lbilbao

	* irplib/irplib_detmon.c: Unnecessary error messages removed

2007-10-05 14:27  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Saving of intermediate products moved
	to irplib_detmon_lg_save(), required by DFO on detmon-kit-0.0.4.
	Changes needed in API for functions
	irplib_detmon_autocorr_factor(), irplib_detmon_gain(),
	irplib_detmon_lg_reduce() and irplib_detmon_lg().

2007-10-05 09:51  lbilbao

	* irplib/irplib_detmon.c: False uninit warning(s) fixed

2007-10-04 18:30  lbilbao

	* irplib/irplib_detmon.c: Changes introduced in functions
	irplib_detmon_lg_reduce_all() and irplib_detmon_opt_contamination()
	to meet requests from DFO on detmon-kit-0.0.4

2007-10-04 16:34  lbilbao

	* irplib/irplib_detmon.h: New recipe added: detmon_dark

2007-10-04 15:13  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_dark() and corresponding
	subfunctions added with unit test for detmon_dark new recipe.

2007-09-26 13:12  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): fix spacing

2007-09-26 13:11  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute():
	cpl_ensure_code() replaces assert(). IRPLIB_MATH_PI replaces
	IRPLIB_PI. double strehl_error_coefficient replaces
	STREHL_ERROR_COEFFICIENT

2007-09-26 12:52  llundin

	* irplib/irplib_detmon.c: irplib_detmon_pernoise_qc(): variable
	iquad replaces quad, which shadows a global variable

2007-09-26 12:49  llundin

	* irplib/irplib_oddeven.c: irplib_oddeven_monitor(): variable iquad
	replaces quad, which shadows a global variable

2007-09-26 12:45  llundin

	* irplib/irplib_utils.c: Fix for missing isnan() prototype

2007-09-26 10:15  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_image_empty(): remove()
	replaces unlink()

2007-09-25 12:10  llundin

	* irplib/irplib_plot.c: cpl_sprintf() replaces snprintf() (and
	irplib_sprintf()). Move temporary filename and executable to plot
	struct - fixes bug when IRPLIB_IMAGER is different from the
	(gnu-)plot command

2007-09-21 22:19  llundin

	* irplib/tests/irplib_detmon-test.c: sin() -> sinf()

2007-09-21 15:56  lbilbao

	* irplib/irplib_detmon.c: Usage of cosf changed into cos

2007-09-21 15:39  lbilbao

	* irplib/irplib_detmon.c: Measurements in
	irplib_detmon_opt_contamination() unnormalized. New step
	(extraction) added to processing in
	irplib_detmon_pernoise_reduce(). Changes in
	irplib_detmon_pernoise_rm_bpixs() although this function is now
	inactive. Refinement of peak selection in
	irplib_detmon_pernoise_qc().

2007-09-21 09:36  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_image_empty(): declare
	unlink()

2007-09-21 09:29  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_image_empty(): Cast for
	%u

2007-09-20 13:14  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_analysis(): Fixed
	mem-leak on error

2007-09-20 12:48  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_image_empty(): Added.
	irplib_plugin_test(): Call recipe_sof_test_image_empty()

2007-09-20 11:18  lbilbao

	* irplib/irplib_detmon.c: Math constants replaced by new ones in
	irplib_math_const.h. sinf(x) and cosf(x) modified.

2007-09-20 10:33  llundin

	* irplib/irplib_plugin.c: recipe_frameset_empty(): Added.
	recipe_sof_test_local(): Add call to
	cpl_dfs_update_product_header(), recipe_frameset_empty()

2007-09-19 16:06  lbilbao

	* irplib/irplib_detmon.c: Error checking improved in
	irplib_detmon_pernoise_save()

2007-09-19 16:05  lbilbao

	* irplib/tests/irplib_detmon-test.c: Bug in irplib_detmon-test
	fixed (wrong test inputs)

2007-09-17 16:44  lbilbao

	* irplib/irplib_detmon.c: sinf and cosf extended to be used on
	Solaris machines

2007-09-17 16:27  lbilbao

	* irplib/irplib_detmon.c: Bug in saving the products fixed.

2007-09-14 17:52  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_pernoise() high-level
	function for detmon_pernoise() recipe added with necessary
	sub-functions.

2007-09-14 16:28  llundin

	* irplib/irplib_stdstar.c: Use IRPLIB_MATH constants

2007-09-14 16:25  llundin

	* irplib/: Makefile.am, irplib_math_const.h: Added
	irplib_math_const.h

2007-09-13 10:03  lbilbao

	* irplib/irplib_detmon.c: Lin/Gain parameters description
	improvement

2007-09-12 16:44  lbilbao

	* irplib/tests/Makefile.am: Revert previous erroneus commit

2007-09-12 16:25  lbilbao

	* irplib/: irplib_detmon.c, tests/Makefile.am: Interpolation
	introduce to refine max in irplib_detmon_ronbias_histo().

2007-09-12 16:08  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: API of
	irplib_detmon_fill_ronbias_params() changed.
	irplib_detmon_retrieve_ronbias_params() changed. Histogram related
	parameters removed.

2007-09-12 15:40  lbilbao

	* irplib/irplib_detmon.c: Bug when empty frameset given fixed

2007-09-12 14:29  lbilbao

	* irplib/irplib_detmon.c: Message coherence for multi-extension
	case revised. PAF files created now for each extension. Error
	checking added.

2007-09-12 11:37  lbilbao

	* irplib/irplib_detmon.c: Bug found and fixed in
	irplib_detmon_ronbias_histo().

2007-09-07 16:23  lbilbao

	* irplib/: irplib_detmon.c, irplib_hist.c, irplib_hist.h,
	tests/irplib_hist-test.c: Major update of the irplib_hist module

2007-09-06 17:13  lbilbao

	* irplib/irplib_detmon.c: Indenting improved overall. Tabs removed.

2007-09-06 12:07  lbilbao

	* irplib/irplib_detmon.c: Column inserted back - SIG_ON_DIF

2007-09-04 17:35  lbilbao

	* irplib/irplib_detmon.c: Error checking update and rename for
	several variables

2007-08-30 11:19  lbilbao

	* irplib/: irplib_detmon.c, irplib_hist.c, irplib_hist.h: Several
	warnings removed.

2007-08-30 10:39  lbilbao

	* irplib/: irplib_hist.c, tests/irplib_hist-test.c: binwidth = 1
	(theoretical maximum optimal size for integer images)

2007-08-30 10:35  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_histo() changed to
	make use of irplib_hist.h module. Error checking improved overall.

2007-08-29 10:20  lbilbao

	* irplib/: Makefile.am, irplib_hist.c, irplib_hist.h,
	tests/Makefile.am, tests/irplib_hist-test.c: New module
	irplib_hist.{h,c} with unit tests. Functionalities to work with
	histograms.

2007-08-28 14:44  lbilbao

	* irplib/tests/irplib_detmon-test.c: Bug fixed

2007-08-28 14:40  lbilbao

	* irplib/irplib_detmon.c: Bug fixed because of variable used
	unitialised (nraws in function irplib_detmon_ronbias_preoverscan().

2007-08-28 13:48  amodigli

	* irplib/tests/irplib_detmon-test.c: commented out test to have
	make distcheck working. Pls Lander fix the bug.

2007-08-27 17:06  lbilbao

	* irplib/irplib_detmon.c: Usage of irplib_get_clean_mean_window()
	included in functions irplib_detmon_ronbias_preoverscan(),
	irplib_detmon_ronbias_region() and irplib_detmon_ronbias_master()
	to remove bad pixels' effect on RON computation. Error checking
	improved overall.

2007-08-24 12:27  lbilbao

	* irplib/irplib_detmon.c: Bug in parameters' description fixed.

2007-08-24 11:42  lbilbao

	* irplib/irplib_detmon.c: New function
	irplib_detmon_add_adl_column() added to compute ADL column of the
	LINEAR_TABLE in irplib_detmon_lg().

2007-08-24 10:15  lbilbao

	* irplib/irplib_detmon.c: Warnings because of unused variables
	avoided.

2007-08-23 18:10  lbilbao

	* irplib/irplib_detmon.c: Bugs in irplib_detmon_ronbias_random()
	and irplib_detmon_ronbias_histo() refered to RON computation fixed.

2007-08-23 17:01  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: New parameter --rescale with default
	value TRUE added to set ON / OFF the option of rescaling the input
	pairs of frames one to the level of the other one.

2007-08-23 16:41  lbilbao

	* irplib/irplib_detmon.c: Rescaling of the frames before
	autocorrelation introduced to get better autocorrelation factor.
	New function irplib_detmon_lg_rescale().

2007-08-23 13:53  lbilbao

	* irplib/tests/irplib_detmon-test.c: New unit test added, for the
	case when input frames are multi-extension but computation is done
	only on one of the extensions.

2007-08-23 13:48  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Bug in
	irplib_detmon_lg() fixed, now it also accepts to be several pairs
	with the same DIT value. Corresponding unit test added, too.

2007-08-22 17:25  lbilbao

	* irplib/tests/irplib_detmon-test.c: New unit test for
	multi-extension case added. irplib_detmon_tests_fill_frameset()
	function enlarged (API changed) to make it able to fill
	multi-extension framesets, too.

2007-08-22 17:23  lbilbao

	* irplib/irplib_detmon.c: Strong error checking added overall.

2007-08-22 14:57  lbilbao

	* irplib/irplib_detmon.c: Minor changes to fix memory leaks only
	detected by valgrind

2007-08-22 14:24  yjung

	* irplib/: irplib_irlist.h, irplib_std.c, irplib_std.h,
	irplib_irlist.h, irplib_std.c, irplib_std.h: [no log message]

2007-08-22 14:03  llundin

	* irplib/: Makefile.am, irplib_irlist.h, irplib_std.c,
	irplib_std.h: irplib_std.{c,h} and irplib_irlist.h replaced by
	irplib_stdstar

2007-08-22 13:35  lbilbao

	* irplib/irplib_detmon.c: Bug fixed in irplib_detmon_lg_save()
	(when saving products after a multi-extension computation, primary
	unit was used instead of being left empty, as it should to follow
	inputs' structure).

2007-08-22 13:19  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Improve
	documentation of run-time version check

2007-08-22 13:01  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_fill_params() modified
	(new API included). Now it is possible to give the values of the
	parameters to the recipe throught this new API (this feature will
	be used to call the recipe with different parameters' value in the
	testingcycle. New function irplib_detmon_fill_params_default()
	where no values need to be given (default values hard-coded here).

2007-08-22 11:51  lbilbao

	* irplib/irplib_detmon.c: Important changes for full operational
	support of multi-extension FITS. Major code changes in
	irplib_detmon_lg() and irplib_detmon_lg_reduce(). API changes also
	in irplib_detmon_gain() and irplib_detmon_linearity(). New function
	irplib_detmon_lg_reduce_init() just to initialise all the variable
	used in irplib_detmon_lg_reduce().

2007-08-21 15:06  jmlarsen

	* irplib/: Makefile.am, irplib_access.c, irplib_access.h: Removed
	irplib_access module, largely deprecated by CPL-4

2007-08-21 11:30  yjung

	* configure.ac: 0.0.1 -> 0.1.0

2007-08-21 10:53  yjung

	* acinclude.m4: srcdir-> builddir

2007-08-20 14:57  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_lg() API modified.
	Parameter extnum removed (moved to command-line parameter --exts).
	This new parameter is used to manage FITS exts, as usual: 0 for
	primary unit, -1 for all exts, n for extension nb n.

2007-08-10 11:03  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Let
	cpl_plugin_get_info() verify run-time version of CPL

2007-08-09 15:21  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_local(): Test recipe in
	./<recipe>.sof

2007-08-09 05:50  yjung

	* hawki/hawki_dfs.h, hawki/hawki_utils.c, hawki/hawki_utils.h,
	recipes/hawki_util_distortion.c: [no log message]

2007-08-09 05:06  yjung

	* recipes/Makefile.am: added hawki_util_distortion

2007-08-09 05:04  yjung

	* hawki/hawki_dfs.c, hawki/hawki_dfs.h,
	recipes/hawki_util_distortion.c: [no log message]

2007-08-09 04:57  yjung

	* catalogs/dist_map.txt, recipes/hawki_util_gendist.c: [no log
	message]

2007-08-09 04:47  yjung

	* hawki/hawki_dfs.h, recipes/hawki_util_gendist.c,
	catalogs/dist_map.txt: [no log message]

2007-08-09 04:33  yjung

	* catalogs/dist_map.txt: removed last column

2007-08-09 04:14  yjung

	* catalogs/dist_map.txt: [no log message]

2007-08-09 03:32  yjung

	* recipes/hawki_util_gendist.c: [no log message]

2007-08-09 00:50  yjung

	* hawki/hawki_dfs.h, recipes/hawki_util_gendist.c: [no log message]

2007-08-09 00:10  yjung

	* recipes/hawki_util_gendist.c: [no log message]

2007-08-09 00:00  yjung

	* recipes/Makefile.am: added hawki_util_gendist.c

2007-08-08 23:54  yjung

	* hawki/hawki_dfs.c: [no log message]

2007-08-08 23:53  yjung

	* hawki/hawki_dfs.h: added distortion map

2007-08-08 23:46  yjung

	* catalogs/dist_map.txt: [no log message]

2007-08-08 23:35  yjung

	* ChangeLog, recipes/hawki_util_test.c: [no log message]

2007-08-08 20:36  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: irplib_bpp_find():
	Removed

2007-08-08 11:26  llundin

	* irplib/: Makefile.am, irplib_error.c, irplib_error.h,
	irplib_dfs.c, irplib_dfs.h: irplib_dfs and irplib_error dropped

2007-08-08 11:21  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Drop call to
	cpl_dfs_update_product_header()

2007-08-08 11:20  llundin

	* irplib/irplib_utils.c: irplib_reset(): Drop call to
	irplib_error_reset()

2007-08-08 11:20  llundin

	* irplib/irplib_std.c: irplib_std_get_mag_zero(): const warnings
	resolved

2007-08-08 11:19  llundin

	* irplib/irplib_stdstar.c: Removed unneeded include of irplib_dfs.h

2007-08-08 10:49  lbilbao

	* irplib/irplib_detmon.c: 2 new columns added to the GAIN table for
	testing purposes. Some more error checking added, too.

2007-08-08 10:30  llundin

	* irplib/irplib_detmon.c: Removed unneeded include of irplib_dfs.h

2007-08-08 09:55  llundin

	* irplib/irplib_access.c: Fix compiler warnings by using CPL 4.0
	_const functons. Most of if not all of the modified functions
	should be replaced by their CPL 4.0 counterpart

2007-08-08 00:23  yjung

	* recipes/hawki_util_test.c: [no log message]

2007-08-07 20:53  yjung

	* recipes/: Makefile.am, hawki_util_test.c: [no log message]

2007-08-07 14:15  llundin

	* irplib/irplib_flat.c: irplib_flat_fit_slope_robust():
	cpl_vector_get_median_const() => cpl_vector_get_median()

2007-08-07 10:09  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Warnings
	because of mixed code and unused variables removed.

2007-08-07 06:47  yjung

	* hawki/: hawki_load.c, hawki_load.h: [no log message]

2007-08-07 05:38  yjung

	* hawki/hawki_saa.c, hawki/hawki_saa.h, recipes/hawki_img_jitter.c,
	recipes/hawki_util_stitch.c: [no log message]

2007-08-07 01:20  yjung

	* hawki/: hawki_saa.c, hawki_saa.h: [no log message]

2007-08-07 01:19  yjung

	* hawki/Makefile.am: added hawki_saa

2007-08-07 01:01  yjung

	* recipes/hawki_img_flat.c: handle now the ghosts passing through
	the image

2007-08-06 12:54  lbilbao

	* irplib/irplib_detmon.c: Parameter --stacking.method converted
	from int to string.

2007-08-06 10:47  lbilbao

	* irplib/irplib_detmon.c: Better description of defaults values
	inserted in irplib_detmon_fill_params().

2007-08-06 10:31  lbilbao

	* irplib/irplib_detmon.c: Warning included to prevent the user from
	executing --autocorr option without FFTW installed.

2007-08-06 10:17  lbilbao

	* irplib/irplib_detmon.c: New default value for
	--histo.npoints=10000. Computations in
	irplib_detmon_ronbias_histo() improved.

2007-08-06 09:49  lbilbao

	* irplib/irplib_detmon.c: --collapse set to TRUE by default for
	detmon_opt_lg. New functions irplib_detmon_lg_check_defaults() and
	irplib_detmon_ronbias_check_defaults() to set in a dynamic way the
	defaults values for areas {llx, lly, urx, ury}. These are now set
	referenced to dimensions of input images instead of being
	hard-coded.

2007-08-06 07:30  yjung

	* recipes/hawki_img_flat.c: [no log message]

2007-08-06 05:54  yjung

	* recipes/: hawki_img_flat.c, hawki_util_stitch.c: [no log message]

2007-08-06 03:43  yjung

	* recipes/: hawki_img_flat.c, hawki_img_jitter.c,
	hawki_util_stitch.c: [no log message]

2007-08-06 02:17  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-08-05 22:08  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-08-05 08:50  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-08-05 08:35  yjung

	* recipes/: hawki_img_jitter.c, hawki_util_stitch.c: [no log
	message]

2007-08-05 06:25  yjung

	* recipes/: hawki_img_jitter.c, hawki_img_jitter.c: [no log
	message]

2007-08-05 04:52  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-08-05 03:25  yjung

	* hawki/hawki_utils.c: [no log message]

2007-08-05 03:19  yjung

	* recipes/hawki_util_stitch.c: [no log message]

2007-08-05 02:09  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-08-05 01:55  yjung

	* hawki/: hawki_load.c, hawki_load.h: [no log message]

2007-08-05 01:50  yjung

	* hawki/hawki_utils.c: [no log message]

2007-08-05 01:43  yjung

	* hawki/hawki_utils.h: [no log message]

2007-08-05 01:31  yjung

	* hawki/hawki_load.c, hawki/hawki_load.h, hawki/hawki_utils.c,
	recipes/hawki_img_jitter.c: [no log message]

2007-08-05 01:07  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-08-04 22:27  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-08-04 20:55  yjung

	* recipes/hawki_util_stitch.c: [no log message]

2007-08-04 08:38  yjung

	* recipes/hawki_util_stitch.c: [no log message]

2007-08-04 08:14  yjung

	* recipes/hawki_util_stitch.c: [no log message]

2007-08-04 07:16  yjung

	* hawki/hawki_load.c, hawki/hawki_load.h,
	recipes/hawki_img_jitter.c: [no log message]

2007-08-04 05:00  yjung

	* hawki/hawki_load.c, recipes/hawki_img_jitter.c,
	recipes/hawki_util_stitch.c, recipes/hawki_img_jitter.c: [no log
	message]

2007-08-04 01:08  yjung

	* hawki/hawki_load.c, recipes/Makefile.am,
	recipes/hawki_util_stitch.c: [no log message]

2007-08-04 00:59  yjung

	* hawki/hawki_load.c, recipes/hawki_img_jitter.c,
	recipes/hawki_img_zpoint.c: handled the chip order

2007-08-04 00:08  yjung

	* hawki/: hawki_pfits.c, hawki_pfits.h: [no log message]

2007-08-03 03:50  yjung

	* hawki/hawki_pfits.c, hawki/hawki_utils.c,
	recipes/hawki_util_stdstars.c: [no log message]

2007-08-02 17:00  lbilbao

	* irplib/irplib_detmon.c: #define M_SQRT1_2 added to make
	compilable with c99

2007-08-02 14:32  llundin

	* irplib/: irplib_framelist.c, irplib_plugin.c, irplib_plugin.h,
	irplib_stdstar.c, irplib_utils.c, irplib_utils.h: Use CPL 4.0
	(cpl_errorstate, cpl_dfs_save_*(), etc.

2007-08-02 13:45  lbilbao

	* irplib/irplib_detmon.h: Export irplib_detmon_autocorrelate()

2007-08-02 12:58  lbilbao

	* irplib/irplib_detmon.c: Descriptions of some parameters for
	detmon_ronbias() improved.

2007-08-02 12:52  lbilbao

	* irplib/irplib_detmon.c: Parameters nsamples, sizex and sizey in
	detmon_ronbias() renamed random.nsamples, random.sizex and
	random.sizey

2007-08-02 12:20  lbilbao

	* irplib/irplib_detmon.c: Parameter method modified for
	detmon_ronbias()

2007-08-01 17:12  lbilbao

	* irplib/irplib_detmon.c: Error in irplib_detmon_ronbias_histo()
	algorithm corrected.

2007-08-01 13:56  lbilbao

	* irplib/irplib_detmon.c: New function
	irplib_flux_get_bias_window() added. Error checking improved in
	function irplib_detmon_autocorrelate(). Memory bug regarding
	variable opt_offs in irplib_detmon_lg_reduce() removed.

2007-08-01 13:52  lbilbao

	* irplib/tests/irplib_detmon-test.c: New unit test added for
	irplib_detmon_autocorrelate()

2007-08-01 10:40  lbilbao

	* irplib/irplib_detmon.c: irplib_{table, image, paf}_save()
	deprecated functions replaced by cpl_dfs_save_{table, image, paf}.
	New function irplib_detmon_rm_bpixs() added.

2007-07-31 09:22  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-07-30 16:56  yjung

	* recipes/: hawki_img_jitter.c, hawki_img_jitter.c: [no log
	message]

2007-07-30 16:00  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2007-07-30 15:04  yjung

	* recipes/hawki_img_zpoint.c: bug with catalog search (ret = -1)

2007-07-30 14:47  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-07-30 14:47  yjung

	* hawki/: hawki_pfits.c, hawki_pfits.h: added pixscale

2007-07-30 13:19  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-07-30 11:53  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-07-30 11:40  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-07-27 16:02  yjung

	* recipes/hawki_img_jitter.c: in progress

2007-07-27 16:01  yjung

	* hawki/hawki_dfs.h: [no log message]

2007-07-27 15:08  yjung

	* hawki/hawki_dfs.h: [no log message]

2007-07-27 13:55  yjung

	* recipes/: hawki_img_flat.c, hawki_img_zpoint.c: [no log message]

2007-07-27 13:45  yjung

	* hawki/: hawki_dfs.c, hawki_dfs.h: [no log message]

2007-07-27 13:39  yjung

	* hawki/: hawki_dfs.c, hawki_dfs.h: [no log message]

2007-07-27 13:26  yjung

	* recipes/Makefile.am: added jitter

2007-07-27 13:08  yjung

	* hawki/hawki_utils.c: warning

2007-07-27 09:20  lbilbao

	* irplib/tests/irplib_detmon-test.c: Missing #ifdef HAVE_FFTW
	inserted

2007-07-26 14:58  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: New function irplib_detmon_pernoise()
	added, with correspondent unit test. New CPL accessor functions
	included.

2007-07-26 09:15  jmlarsen

	* irplib/irplib_error.h: Fixed reverse logic bug

2007-07-26 09:07  jmlarsen

	* irplib/irplib_error.h: irplib_error_assure(): evaluate format
	string only if condition failed

2007-07-26 07:05  llundin

	* irplib/irplib_error.h: irplib_error_push():
	cpl_error_set_message_macro() replaces irplib_error_push_macro().
	All functions deprecated

2007-07-26 07:03  llundin

	* irplib/irplib_dfs.h: irplib_{image,table,paf}_save(): deprecated

2007-07-26 07:02  llundin

	* irplib/tests/: Makefile.am, irplib_utils-test.c,
	irplib_dfs-test.c, irplib_error-test.c: Dropped unit tests of
	deprecated functions

2007-07-25 16:17  yjung

	* hawki/hawki_load.c, hawki/hawki_pfits.c, hawki/hawki_utils.c,
	recipes/hawki_img_dark.c, recipes/hawki_img_flat.c,
	recipes/hawki_img_zpoint.c, recipes/hawki_util_gendata.c,
	recipes/hawki_util_harmonize.c, recipes/hawki_util_lsbg.c,
	recipes/hawki_util_split.c, recipes/hawki_util_stdstars.c: fixed
	warnings with more strict compiler options

2007-07-25 15:27  yjung

	* hawki/hawki_load.c, hawki/hawki_utils.c,
	recipes/hawki_img_flat.c, recipes/hawki_util_gendata.c: fixed const
	warnings

2007-07-25 15:17  yjung

	* hawki/Makefile.am: removed isaac_fit

2007-07-25 15:16  yjung

	* recipes/hawki_img_flat.c, hawki/hawki_fit.c, hawki/hawki_fit.h,
	hawki/hawki_fit_body.h, recipes/hawki_img_jitter.c: [no log
	message]

2007-07-25 15:11  yjung

	* hawki/hawki_load.c, recipes/hawki_img_dark.c,
	recipes/hawki_img_detlin.c, recipes/hawki_img_flat.c,
	recipes/hawki_util_gendata.c, recipes/hawki_util_harmonize.c,
	recipes/hawki_util_lsbg.c, recipes/hawki_util_split.c: [no log
	message]

2007-07-25 15:08  yjung

	* recipes/: hawki_img_dark.c, hawki_img_flat.c, hawki_img_jitter.c,
	hawki_img_zpoint.c, hawki_img_dark.c, hawki_img_flat.c,
	hawki_img_jitter.c, hawki_img_zpoint.c, hawki_util_gendata.c,
	hawki_util_harmonize.c, hawki_util_lsbg.c, hawki_util_split.c,
	hawki_util_stdstars.c: [no log message]

2007-07-25 14:28  yjung

	* recipes/hawki_img_detlin.c, recipes/hawki_img_flat.c,
	hawki/hawki_dfs.c, hawki/hawki_dfs.h: [no log message]

2007-07-25 14:08  yjung

	* recipes/hawki_img_detlin.c: [no log message]

2007-07-25 14:04  yjung

	* recipes/Makefile.am: added hawki_img_detlin

2007-07-25 14:03  yjung

	* hawki/hawki_load.c, hawki/hawki_load.h, recipes/hawki_img_flat.c:
	added the stats product

2007-07-25 13:29  yjung

	* hawki/hawki_dfs.h: added PRO	CATG

2007-07-25 13:24  yjung

	* recipes/hawki_img_flat.c: added parameter --zone

2007-07-25 11:40  yjung

	* recipes/hawki_img_flat.c: removed confusing messages

2007-07-25 11:31  yjung

	* recipes/hawki_img_dark.c: removed division by DIT

2007-07-25 11:30  yjung

	* recipes/hawki_img_dark.c: add zone parameter

2007-07-25 11:06  yjung

	* recipes/hawki_img_dark.c: add nb of pixels

2007-07-25 10:43  yjung

	* recipes/Makefile.am: rm tmp jitter

2007-07-25 08:29  llundin

	* irplib/irplib_flat.c: irplib_flat_fit_proportional():
	cpl_vector_get_median_const() => cpl_vector_get_median()

2007-07-25 08:25  llundin

	* irplib/irplib_strehl.c: irplib_strehl_ring_background():
	cpl_vector_get_median_const() => cpl_vector_get_median()

2007-07-24 14:59  yjung

	* irplib/irplib_stdstar.c: fixed typo

2007-07-24 11:15  yjung

	* irplib/: irplib_utils.c, irplib_wlxcorr.c: fixed const warnings

2007-07-24 10:28  yjung

	* irplib/: irplib_plot.c, irplib_ppm.c, irplib_slitpos.c,
	irplib_stdstar.c, irplib_utils.c, irplib_wlxcorr.c: fixed const
	warnings

2007-07-24 10:03  yjung

	* irplib/irplib_ppm.c: cpl_ppm_match_positions() has 2 new
	arguments !!!

2007-07-24 09:07  yjung

	* irplib/irplib_strehl.c: cpl_flux_get_noise_ring() used double for
	the ring specs

2007-07-23 16:53  yjung

	* irplib/: irplib_detmon.c, irplib_distortion.c, irplib_flat.c,
	irplib_spectrum.c, irplib_strehl.c: cpl_vector_get_median ->
	cpl_vector_get_median_const

2007-07-23 16:47  jmlarsen

	* irplib/: irplib_error.h, irplib_error.c: Implemented
	irplib_error_assure using the new CPL 4 error module

2007-07-23 16:45  jmlarsen

	* irplib/irplib_plugin.h: Use CPL error module instead of IRPLIB
	error module

2007-07-23 15:45  yjung

	* irplib/: irplib_spectrum.c, irplib_spectrum.h: add a const
	modifier

2007-07-23 11:27  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: removed
	irplib_ppm_match_positions (-> CPL)

2007-07-23 10:59  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: removed functions
	that are now in CPL

2007-07-19 15:06  yjung

	* hawki/hawki_dfs.h, recipes/hawki_img_jitter.c: [no log message]

2007-07-19 10:43  yjung

	* recipes/hawki_img_jitter.c: [no log message]

2007-07-19 10:17  yjung

	* recipes/Makefile.am: added jitter

2007-07-17 11:40  llundin

	* irplib/irplib_test.c: irplib_test_init_macro(): Call cpl_init()
	correctly also for CPL 4.0

2007-07-10 17:02  jmlarsen

	* irplib/tests/Makefile.am: Uncommented reference to
	Makefile.purify

2007-07-10 16:41  cguirao

	* irplib/tests/Makefile.am: Adding make clean-am MAKE_PURIFY=on

2007-06-29 11:17  jmlarsen

	* irplib/tests/Makefile.am: Cleanup generated FITS files

2007-06-27 14:44  llundin

	* irplib/irplib_error.c: irplib_error_validate_state(),
	irplib_error_push_macro(): Use cpl_error_set_message_macro() with
	CPL 4.0

2007-06-22 16:03  lbilbao

	* irplib/irplib_detmon.c: Warning because of uninitialised variable
	masterbias in irplib_detmon_ronbias_master() removed

2007-06-22 14:04  yjung

	* recipes/hawki_img_zpoint.c, hawki/hawki_load.c,
	hawki/hawki_load.h, hawki/hawki_pfits.c, hawki/hawki_pfits.h: [no
	log message]

2007-06-21 17:29  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Warnings
	because of unused variables removed

2007-06-21 16:18  yjung

	* irplib/: irplib_distortion.c, irplib_spectrum.c: [no log message]

2007-06-21 16:15  yjung

	* irplib/: irplib_distortion.c, irplib_spectrum.c: replaced
	CPL_PIXEL_MAXVAL by DBL_MAX

2007-06-21 14:04  lbilbao

	* irplib/irplib_detmon.c: Error message in
	irplib_detmon_ronbias_save() changed

2007-06-21 13:01  lbilbao

	* irplib/irplib_detmon.c: 2 bugs fixed. First in
	irplib_detmon_ronbias_histo() and second in
	irplib_detmon_build_synthetic()

2007-06-21 10:26  lbilbao

	* irplib/tests/irplib_detmon-test.c: irplib_detmon unit tests
	reactivated

2007-06-21 10:21  lbilbao

	* irplib/irplib_detmon.c: Changes in
	irplib_detmon_build_synthetic()

2007-06-20 16:09  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Adapt to new API
	of cpl_flux_get_noise_ring()

2007-06-20 11:17  lbilbao

	* irplib/tests/irplib_detmon-test.c: irplib_detmon unit test
	deactivated

2007-06-19 19:45  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c:
	irplib_detmon_ronbias_dutycycl() added

2007-06-19 18:59  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_lg() API extended to
	support FITS with multiple extensions

2007-06-19 17:23  lbilbao

	* irplib/irplib_detmon.c: Input validity check added in
	irplib_detmon_ronbias_region()

2007-06-19 17:22  lbilbao

	* irplib/irplib_detmon.c: Input validity check added in
	irplib_detmon_ronbias_preoverscan()

2007-06-19 16:14  yjung

	* hawki/hawki_utils.c: [no log message]

2007-06-19 16:14  lbilbao

	* irplib/irplib_detmon.c: Changes in irplib_detmon_ronbias_region()

2007-06-19 16:05  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_build_synthetic(9 new
	function added. More changes in
	irplib_detmon_ronbias_preoverscan().

2007-06-19 15:19  yjung

	* recipes/Makefile.am, recipes/hawki_util_bgss.c,
	recipes/hawki_util_lsbg.c, recipes/hawki_util_bgss.c,
	hawki/hawki_dfs.h, hawki/hawki_utils.c: [no log message]

2007-06-19 14:33  lbilbao

	* irplib/irplib_detmon.c: Error checking added in
	irplib_detmon_ronbias(). Modifications in
	irplib_detmon_ronbias_histo().

2007-06-19 12:56  yjung

	* hawki/: hawki_utils.c, hawki_utils.h: added hawki_compute_bgss()

2007-06-19 12:56  yjung

	* recipes/hawki_util_bgss.c: [no log message]

2007-06-19 12:55  yjung

	* recipes/Makefile.am: added hawki_util_bgss

2007-06-19 12:52  yjung

	* recipes/hawki_util_stdstars.c: [no log message]

2007-06-19 10:43  lbilbao

	* irplib/irplib_detmon.c: Error checking added when using
	cpl_image_fill_polynomial()

2007-06-19 10:26  lbilbao

	* irplib/irplib_detmon.c: [no log message]

2007-06-19 10:00  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon-test converted to smaller
	datasets. irplib_detmon_fill_params() and
	irplib_detmon_ronbias_params() functions' APIs changed for that
	reason. Calls to these functions changed in units tests and
	recipes.

2007-06-18 17:19  lbilbao

	* irplib/irplib_detmon.c: HISTO method changed

2007-06-18 13:13  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2007-06-18 12:55  yjung

	* catalogs/stdstars/Hawki.txt: [no log message]

2007-06-18 11:52  yjung

	* catalogs/stdstars/Hawki.txt: added 9181/S234-E

2007-06-18 11:36  yjung

	* irplib/irplib_stdstar.c, recipes/hawki_util_stdstars.c: [no log
	message]

2007-06-18 11:26  yjung

	* catalogs/stdstars/Hawki.txt: [no log message]

2007-06-18 11:08  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2007-06-18 10:33  yjung

	* hawki/Makefile.am, hawki/hawki_dfs.c, hawki/hawki_dfs.h,
	hawki/hawki_std.c, hawki/hawki_std.h, hawki/hawki_utils.c,
	hawki/hawki_utils.h, recipes/hawki_img_zpoint.c,
	recipes/hawki_util_stdstars.c: [no log message]

2007-06-18 09:43  yjung

	* recipes/: Makefile.am, hawki_util_stdstars.c: [no log message]

2007-06-18 09:40  yjung

	* catalogs/stdstars/Hawki.txt: [no log message]

2007-06-15 13:50  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h:
	irplib_detmon_ronbias_save() function added

2007-06-15 10:32  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Test
	failure for CPL 3.1 fixed

2007-06-14 10:20  lbilbao

	* irplib/irplib_detmon.c: New functions
	irplib_detmon_ronbias_histo() and
	irplib_detmon_ronbias_preoverscan() added

2007-06-14 09:45  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-13 16:33  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: STD stars catalog
	made external . Rm dependency to irplib_std

2007-06-13 15:29  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-13 11:35  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_random() function
	modified. Computing and writing of the QC params included

2007-06-13 11:20  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_random() function
	added

2007-06-13 10:44  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: New functions irplib_detmon_ronbias(),
	irplib_detmon_fill_ronbias_params() and
	irplib_detmon_retrieve_ronbias_params() added (to be used by new
	recipe detmon_ronbias)

2007-06-12 15:48  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-12 13:51  yjung

	* irplib/irplib_stdstar.c: [no log message]

2007-06-12 13:32  yjung

	* hawki/hawki_std.h, recipes/hawki_img_zpoint.c: [no log message]

2007-06-12 13:26  yjung

	* irplib/irplib_stdstar.h: [no log message]

2007-06-12 12:54  lbilbao

	* irplib/irplib_detmon.h: irplib_detmon_get_description macro moved
	to irplib_detmon_lg_get_description. New macro
	irplib_detmon_ronbias_get_description added.

2007-06-12 12:26  lbilbao

	* irplib/irplib_detmon.c: Some variable moved to smallest possible
	scope. New function irplib_detmon_lg_reduce_all() added, which
	comprises code that was previously at the end of
	irplib_detmon_lg_reduce().

2007-06-12 11:37  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-12 10:49  yjung

	* irplib/: Makefile.am, irplib_stdstar.c, irplib_stdstar.h: [no log
	message]

2007-06-12 09:23  yjung

	* hawki/: Makefile.am, hawki_dfs.c, hawki_dfs.h, hawki_pfits.c,
	hawki_pfits.h, hawki_std.c, hawki_std.h, hawki_utils.c,
	hawki_utils.h: [no log message]

2007-06-11 13:37  lbilbao

	* irplib/irplib_detmon.c: sprintf() moved to irplib_sprintf()

2007-06-08 18:04  lbilbao

	* irplib/irplib_detmon.c: Variables name, desc and type moved in
	irplib_detmon_fill_parlist() to smallest possble scope

2007-06-08 17:57  lbilbao

	* irplib/irplib_detmon.c: Most variables in irplib_detmon_lg()
	moved to smallest possible scope

2007-06-08 17:43  lbilbao

	* irplib/irplib_detmon.c: irplib_sprintf() replaced in
	if(intermediate) by sprintf() because of weird error. dit replaced
	by exptime to make the recipe more general (apliable to UVES data
	which doesn't have a DIT keyword)

2007-06-08 11:53  lbilbao

	* irplib/irplib_detmon.c: collapse parameter added. Code modified
	where needed depending on this parameter's value, functions
	irplib_detmon_lg(), irplib_detmon_lg_reduce() and
	irplib_detmon_lg_linearity().

2007-06-08 10:21  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_fill_params() changed. New
	function irplib_detmon_fill_parlist() added and used there.

2007-06-05 09:44  yjung

	* recipes/hawki_img_zpoint.c: [no log message]

2007-06-05 09:18  yjung

	* recipes/: Makefile.am, hawki_img_zpoint.c: [no log message]

2007-06-04 17:01  yjung

	* hawki/hawki_load.c, hawki/hawki_load.h, hawki/hawki_utils.c,
	hawki/hawki_utils.h, recipes/hawki_util_harmonize.c: [no log
	message]

2007-06-04 15:09  yjung

	* recipes/: hawki_util_gendata.c, hawki_util_harmonize.c,
	hawki_util_split.c: [no log message]

2007-06-04 14:42  yjung

	* recipes/hawki_util_harmonize.c: [no log message]

2007-06-04 14:38  yjung

	* recipes/hawki_util_split.c: [no log message]

2007-06-04 14:35  yjung

	* recipes/hawki_util_split.c: [no log message]

2007-06-04 14:24  yjung

	* recipes/hawki_util_gendata.c: [no log message]

2007-06-04 14:11  yjung

	* recipes/: Makefile.am, hawki_util_gendata.c: [no log message]

2007-06-04 12:16  llundin

	* irplib/irplib_detmon.c: irplib_detmon_lg_reduce(): Move coeff
	declaration to smallest possible scope (and fix no-use warning on
	CPL 3.1)

2007-06-01 16:59  yjung

	* hawki/hawki_dfs.c, hawki/hawki_dfs.h, recipes/hawki_img_flat.c:
	flat usable

2007-06-01 16:14  yjung

	* recipes/: hawki_img_flat2.c, Makefile.am, hawki_img_flat.c,
	hawki_img_flat2.c: [no log message]

2007-06-01 14:55  yjung

	* hawki/hawki_load.c, recipes/hawki_img_flat2.c: [no log message]

2007-06-01 14:43  yjung

	* hawki/: Makefile.am, hawki_fit.c, hawki_fit.h, hawki_fit_body.h,
	hawki_load.c, hawki_load.h: [no log message]

2007-05-31 16:58  yjung

	* recipes/: Makefile.am, hawki_img_flat2.c: [no log message]

2007-05-31 16:56  yjung

	* hawki/hawki_dfs.c, hawki/hawki_dfs.h, hawki/hawki_load.c,
	hawki/hawki_utils.c, hawki/hawki_utils.h, recipes/hawki_img_dark.c:
	finalised dark recipe

2007-05-31 15:33  yjung

	* hawki/: hawki_load.c, hawki_load.h: added hawki_load_image()

2007-05-31 15:28  yjung

	* recipes/: hawki_img_dark.c, hawki_img_dark2.c, Makefile.am,
	hawki_img_dark2.c: [no log message]

2007-05-31 14:16  yjung

	* recipes/: Makefile.am, hawki_img_dark2.c: [no log message]

2007-05-30 15:13  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: irplib_detmon_lg() API
	modified. Error in int (* compare) declaration fixed

2007-05-25 15:06  lbilbao

	* irplib/irplib_detmon.c: indent applied to remove some tabs and to
	match some other coding standards

2007-05-25 09:16  lbilbao

	* irplib/irplib_detmon.c: cpl_sprintf() moved back to
	irplib_sprintf() as it is not supported for CPL 3.1

2007-05-24 17:41  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: Little change in the
	irplib_detmon_lg() API

2007-05-24 17:32  lbilbao

	* irplib/irplib_detmon.c: irplib_sprintf() and sprintf() moved to
	cpl_sprintf()

2007-05-24 17:28  lbilbao

	* irplib/irplib_detmon.c: New parameter --intermediate added. Macro
	insert_par added for function irplib_detmon_fill_params(). Function
	irplib_detmon_retrieve_par() added.

2007-05-24 15:05  yjung

	* recipes/: hawki_img_dark.c, hawki_img_flat.c: [no log message]

2007-05-24 14:25  yjung

	* recipes/hawki_img_flat.c: back to 3.1

2007-05-24 12:56  lbilbao

	* irplib/irplib_detmon.c: clreturn_if macro added in function
	irplib_detmon_lg_reduce()

2007-05-24 10:26  lbilbao

	* irplib/irplib_detmon.c: Extra tokens in undef directive removed

2007-05-24 09:46  llundin

	* irplib/irplib_std.c: irplib_great_circle_dist(): Copied from
	VISIR. irplib_std_get_closest_star(): Replace Euclidian distance
	with irplib_great_circle_dist(), add debugging statements.
	IRPLIB_STD_MAXRADIUS: Definable at compile time

2007-05-24 09:31  jmlarsen

	* irplib/tests/irplib_utils-test.c: Disabled the tests using NaN
	because NaN is not easy to produce portably

2007-05-23 15:39  jmlarsen

	* irplib/irplib_strehl.c: Use irplib_isnan instead of isnan

2007-05-23 15:33  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: const modifier added
	in some functions declarations

2007-05-23 15:10  yjung

	* configure.ac: added check isinf isnan

2007-05-23 15:06  lbilbao

	* irplib/irplib_detmon.c: Macro clreturn_if added in
	irplib_detmon_lg()

2007-05-23 14:48  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: Added irplib_isinf, irplib_isnan

2007-05-22 10:33  jmlarsen

	* irplib/irplib_plot.c: Added cast to suppress CPL warning

2007-05-22 10:21  jmlarsen

	* irplib/: irplib_plot.c, irplib_plot.h: Eliminated usage of POSIX
	popen/pclose calls and implemented the plotting i/o using just the
	ANSI system() call. This change was made in order to allow
	compiling with gcc's C99 mode which is convenient.

2007-05-21 15:15  lbilbao

	* irplib/irplib_detmon.c: Some warnings because declarations and
	code mixed removed

2007-05-16 14:16  lbilbao

	* irplib/irplib_detmon.c: Unnecessary error messages removed

2007-05-16 14:00  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: IR Recipe code
	modified. Description macro moved to irplib_detmon.c, #include
	detmon_dfs.h and #include detmon_utils.h removed

2007-05-14 14:02  llundin

	* irplib/irplib_dfs.c: irplib_image_save(): Document creation of
	FITS header

2007-05-14 10:23  lbilbao

	* irplib/irplib_detmon.c: Memory leak in irplib_detmon_linearity()
	in case OPT fixed. See else at the end of the function.

2007-05-14 09:18  lbilbao

	* irplib/tests/irplib_detmon-test.c: Unused variables removed

2007-05-11 11:18  lbilbao

	* irplib/tests/irplib_detmon-test.c: CPL_BPP_DEFAULT changed to
	CPL_BPP_IEEE_FLOAT. Unnecessary tests also removed.

2007-05-10 16:50  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_detect_badpixs() removed
	(unnecessary). Error checking improved overall.

2007-05-10 15:09  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h:
	irplib_detmon_create_bpm_dark_or_bias() unnecessary and removed

2007-05-10 15:03  lbilbao

	* irplib/irplib_detmon.c: New function irplib_detmon_opt_lampcr()
	added

2007-05-10 10:58  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: removed plotting
	from irplib_wlxcorr_best_poly()

2007-05-10 09:51  lbilbao

	* irplib/irplib_detmon.c: Contamination part with corresponding
	parameters added

2007-05-09 16:56  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2007-05-09 15:45  yjung

	* recipes/hawki_img_flat.c: const modifs for cpl_frameset_labelise

2007-05-09 13:56  lbilbao

	* irplib/irplib_detmon.c: Changes in irplib_detmon_gain() to
	compute new fitting formula. Changes in irplib_detmon_lg() to
	compute optical-specific QC parameters. Linearity coeffs images
	disabled for the optical domain

2007-05-09 11:45  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ir_lg_split_onoff(),
	irplib_detmon_ir_lg_reduce() and irplib_detmon_ir_lg_save() changed
	to irplib_detmon_lg_split_onoff(), irplib_detmon_lg_reduce() and
	irplib_detmon_lg_save(). A more general API to be used also for the
	optical domain

2007-05-09 10:27  lbilbao

	* irplib/irplib_detmon.c: Warnings because of variables declared
	inside the code removed

2007-05-08 15:44  lbilbao

	* irplib/irplib_detmon.c: static modifier added to functions that
	won't be exported

2007-05-08 15:18  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c:
	irplib_detmon_lg() enabled to process first 2 frames separately in
	the optical domain. Unit test expanded

2007-05-07 17:19  yjung

	* hawki/hawki_load.c: CPL_BPP_DEFAULT CPL_BPP_IEEE_FLOAT

2007-05-07 16:50  yjung

	* irplib/: irplib_detmon.c, irplib_dfs.c: CPL_BPP_DEFAULT ->
	CPL_BPP_IEEE_FLOAT

2007-05-07 14:20  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_fill_params() changed to
	make it independent from the calling recipe

2007-05-07 12:26  jmlarsen

	* irplib/irplib_detmon.h: Removed compile time version check of CPL
	version

2007-05-07 12:26  jmlarsen

	* irplib/irplib_detmon.c: Added inclusion of cpl.h

2007-05-07 10:52  lbilbao

	* irplib/tests/Makefile.am: Back to previous version

2007-05-07 10:15  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, tests/Makefile.am,
	tests/irplib_detmon-test.c: New boolean parameter added and name
	changed to irplib_detmon_lg().

2007-05-02 16:34  lbilbao

	* irplib/irplib_detmon.c: QC parameters added to PAF file

2007-05-02 16:27  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Different PRO.CATGs for different
	products added. qclist added. PAF file created.

2007-05-02 12:03  lbilbao

	* irplib/irplib_detmon.c: Boolean parameter used in
	irplib_detmon_autocorr_factor() to de-/activate computation of
	autocorr factor

2007-05-02 11:51  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c:
	CPL_TYPE_FLOAT instead of CPL_TYPE_DOUBLE overall

2007-05-02 10:53  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Unnecessary
	propertylist loads removed in irplib_detmon_ir_lg_save().
	Unnecessary error message removed in irplib_detmon_split_onoff().
	New parameters (autocorr, m, n) added to the recipe.

2007-04-27 17:04  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: irplib_detmon_ir_lg()
	and irplib_detmon_compare_dits APIs changed to adapt to new
	prototype of cpl_frameset_labelise(). Single-precision FFT in
	irplib_detmon_image_autocorrelate_fftw()

2007-04-27 12:12  lbilbao

	* irplib/irplib_detmon.c: Prototype of
	irplib_detmon_image_autocorrelate_fftw() was missing

2007-04-27 12:08  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_image_autocorrelate_fftw()
	function added

2007-04-27 10:35  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: irplib_detmon_ir_lg()
	API changed to avoid warning in cpl_frameset_labelise(). const
	modifier applied to cpl_parameterlist (and casted back without
	const) in irplib_detmon_retrieve_params().

2007-04-27 09:58  lbilbao

	* irplib/tests/irplib_detmon-test.c: Unnecessary
	CPL_ERROR_UNSUPPORTED_MODE msgs removed

2007-04-27 09:42  lbilbao

	* irplib/tests/irplib_detmon-test.c: const modifier applied to
	variables tag_on and tag_off

2007-04-27 09:40  lbilbao

	* irplib/irplib_detmon.c: Info and error msgs added overall.
	irplib_get_clean_mean_window() improved: Condition to stop
	iteration included

2007-04-26 17:05  lbilbao

	* irplib/irplib_detmon.c: Memory leaks in irplib_detmon_ir_lg() and
	irplib_detmon_ir_lg_split_onoff() fixed: several cpl_xx_delete()
	calls added

2007-04-26 16:08  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_ir_lg() API changed to
	fix some warnings

2007-04-25 16:23  yjung

	* irplib/tests/Makefile.am: [no log message]

2007-04-25 16:13  yjung

	* recipes/: hawki_img_dark.c, hawki_img_flat.c: irplib_sprintf -> 
	cpl_sprintf

2007-04-25 16:06  yjung

	* irplib/tests/: Makefile.am, irplib_fit-test.c: moved to CPL

2007-04-25 15:56  lbilbao

	* irplib/irplib_detmon.c: Autocorrelation through cpl_image_fft()
	added: function irplib_detmon_autocorrelate()

2007-04-25 15:31  yjung

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h: removed
	irplib_fit.ch (-> CPL)

2007-04-25 13:44  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: New function:
	irplib_detmon_fill_params() added

2007-04-25 12:21  lbilbao

	* irplib/tests/irplib_detmon-test.c: Failure related to CPL 3.1
	fixed

2007-04-25 11:54  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_lg_reduce(): Added
	computation of GAIN via polynomial fit

2007-04-25 11:25  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_gain(): Added creation of
	fit_table, to be used to compute GAIN via polynomial fit

2007-04-25 10:41  lbilbao

	* irplib/tests/irplib_detmon-test.c: Warnings in
	irplib_detmon_tests() fixed

2007-04-25 10:25  lbilbao

	* irplib/irplib_detmon.c: Warnings in irplib_detmon_bpixs() and
	irplib_detmon_ir_lg_save() fixed

2007-04-25 09:49  lbilbao

	* irplib/irplib_detmon.c: Warnings in
	irplib_detmon_image_correlate() and irplib_detmon_autocorr_factor()
	fixed

2007-04-24 16:07  lbilbao

	* irplib/tests/irplib_detmon-test.c: ifdef CPL_VERSION inserted

2007-04-24 15:36  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_lg_reduce() : use
	cpl_fit_imagelist_polynomial

2007-04-24 14:27  llundin

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h,
	irplib_fit_body.h, tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial(): Moved to CPL

2007-04-24 11:54  lbilbao

	* irplib/irplib_detmon.c: Function for bad pixels added

2007-04-24 10:47  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: irplib_vsprintf(),
	irplib_sprintf(): define as CPL function for CPL versions at least
	3.1.90. Drop support for CPL versions less than 3.1

2007-04-20 15:37  lbilbao

	* irplib/irplib_detmon.c: Save linearity table: included

2007-04-20 15:11  lbilbao

	* irplib/irplib_detmon.c: Linearity table included

2007-04-17 11:37  llundin

	* irplib/irplib_std.c: irplib_std_get_mag_one_cat(): Added
	diagnostics message

2007-04-17 11:21  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Products
	saving included

2007-04-17 09:36  lbilbao

	* irplib/irplib_detmon.c: FFTW dependency corrected

2007-04-16 16:56  lbilbao

	* irplib/tests/irplib_detmon-test.c: Unit tests updated with
	irplib_detmon_ir_lg

2007-04-16 16:55  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: First prototype of
	irplib_detmon_ir_lg

2007-04-05 10:24  llundin

	* irplib/irplib_plugin.h: Revert to 1.11

2007-04-05 09:48  llundin

	* irplib/irplib_plugin.c: Revert to 1.8

2007-04-05 09:47  llundin

	* irplib/irplib_plugin.c: irplib_plugin_exec(): use fork()

2007-04-04 15:48  llundin

	* irplib/irplib_plugin.c: irplib_plugin_exec(): Removed test-part
	of code

2007-04-04 15:38  llundin

	* irplib/: irplib_plugin.c, irplib_plugin.h: Added
	irplib_plugin_exec()

2007-03-26 11:48  llundin

	* irplib/irplib_framelist.c: irplib_framelist_load_propertylist():
	Improved error message

2007-03-22 10:45  jmlarsen

	* irplib/irplib_test.c: Fixed documentation

2007-03-14 09:19  llundin

	* irplib/: irplib_error.c, irplib_plugin.c, irplib_slitpos.c,
	tests/irplib_utils-test.c: include string.h

2007-03-14 08:38  amodigli

	* irplib/irplib_test.c: defined strlen-fixed portability problem on
	sun4u (SUNW,Ultra-250)

2007-03-06 15:01  lbilbao

	* irplib/tests/irplib_detmon-test.c: Test unit improved

2007-03-06 14:22  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon.h,
	tests/Makefile.am, tests/irplib_detmon-test.c: Added detmon module
	with testing

2007-03-06 08:11  jmlarsen

	* irplib/irplib_test.c: irplib_test_init_macro(): Fixed some bad
	code structure

2007-03-05 14:31  jmlarsen

	* irplib/irplib_test.c: Treat properly the situation where __FILE__
	contains a path (needed for make distcheck and VPATH builds)

2007-03-05 12:42  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial_tests(): Restrict checks on CPL
	error code, use cpl_vector_fill_polynomial() to fill vdit

2007-03-05 11:57  amodigli

	* irplib/irplib_strehl.c: fixed typo

2007-03-05 11:31  amodigli

	* irplib/: irplib_strehl.c, irplib_strehl.h: remove static and
	bring irplib_strehl_disk_max to .h

2007-03-02 14:26  yjung

	* hawki/hawki_dfs.c, hawki/hawki_dfs.h, recipes/hawki_img_flat.c:
	[no log message]

2007-03-02 10:14  jmlarsen

	* irplib/tests/Makefile.am: Added the missing dependencies from
	test programs to LIBIRPLIB, updated TESTS target to avoid
	duplication

2007-03-02 10:12  jmlarsen

	* irplib/Makefile.am: Fixed SUBDIRS target to realize the
	dependency from the tests subdirectory to the current directory

2007-03-02 09:54  llundin

	* irplib/irplib_test.h: irplib_test_macro(): Renamed __func__ to
	cpl_func

2007-03-02 08:20  yjung

	* recipes/: Makefile.am, hawki_img_flat.c: [no log message]

2007-03-02 08:09  yjung

	* hawki/hawki_load.c: [no log message]

2007-03-02 08:08  yjung

	* recipes/hawki_img_dark.c: first working version

2007-03-01 08:29  llundin

	* irplib/irplib_test.c: irplib_test_init_macro(): Replaced __func__
	with cpl_func

2007-02-28 11:40  llundin

	* irplib/tests/irplib_fit-test.c: irplib_fit_image_is_zero_macro():
	Fix compiler warning introduced by previous change

2007-02-27 16:20  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h:
	irplib_fit_imagelist_polynomial_find_block_size() used for
	generalization of L2-cache-optimization

2007-02-27 15:53  jmlarsen

	* irplib/: irplib_test.c, irplib_test.h: Do not crash when
	comparing NULL strings

2007-02-27 14:42  jmlarsen

	* irplib/tests/: irplib_dfs-test.c, irplib_error-test.c,
	irplib_fit-test.c, irplib_utils-test.c: Update to new interface of
	IRPLIB_TEST_INIT

2007-02-27 14:40  jmlarsen

	* irplib/: irplib_test.c, irplib_test.h, tests/irplib_test.h,
	tests/Makefile.am, Makefile.am: Moved unit test infrastructure to
	top-level ./irplib directory

2007-02-26 11:48  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h,
	tests/irplib_fit-test.c: irplib_fit_imagelist_polynomial(): Round
	off instead of truncating when using integer pixel types

2007-02-26 11:10  llundin

	* irplib/: irplib_fit.c, irplib_fit.h, irplib_fit_body.h,
	tests/irplib_fit-test.c: irplib_fit_imagelist_polynomial(): Add
	output pixel-type, document use of cpl_matrix_decomp_chol()

2007-02-20 16:24  llundin

	* irplib/irplib_fit.c: irplib_matrix_solve_chol_transpose(): Merge
	bread/bwrite into bk. irplib_matrix_product_transpose(): Drop
	ds-row optimization

2007-02-20 15:30  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h:
	irplib_fit_imagelist_residual_*(): Move xpow computation out to
	irplib_fit_imagelist_polynomial()

2007-02-19 15:40  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h,
	tests/irplib_fit-test.c: irplib_fit_imagelist_residual(): Fixed
	fiterror-bug (mindeg ==0, xmean not 0, maxdeg > 1) and removed
	wrong fiterror-info from doxygen

2007-02-19 09:33  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h: Added
	irplib_matrix_product_transpose(),
	irplib_matrix_solve_chol_transpose(),
	irplib_fit_imagelist_residual_{int,float,double}().
	irplib_fit_imagelist_polynomial(): Improved doxygen, use
	_transpose+residual-functions, do cpl_matrix_decomp_chol()

2007-02-19 09:28  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial_tests(): Added more tests

2007-02-16 17:12  llundin

	* irplib/irplib_fit_body.h:
	irplib_fit_imagelist_polynomial_double(): Use memcpy()

2007-02-16 17:12  llundin

	* irplib/irplib_fit.c: irplib_fit_imagelist_polynomial(): Improved
	doxygen

2007-02-16 14:40  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial(): Test with is_eqdist set to
	CPL_TRUE

2007-02-16 14:39  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h: Removed dead code,
	copied irplib_matrix_product_normal_create() from CPL,
	irplib_fit_imagelist_polynomial(): Support is_eqdist and use
	irplib_matrix_product_normal_create()

2007-02-15 09:19  llundin

	* irplib/irplib_dfs.c: irplib_paf_save(): Updated doxygen example
	(Take filename as parameter)

2007-02-13 17:10  yjung

	* hawki/hawki_load.c, recipes/hawki_img_dark.c: [no log message]

2007-02-13 17:03  yjung

	* AUTHORS, BUGS, COPYING, COPYING.LIB, ChangeLog, INSTALL,
	Makefile.am, NEWS, README, TODO, acinclude.m4, bootstrap,
	configure.ac, setup, admin/config.guess, admin/config.sub,
	admin/depcomp, admin/html.am, admin/install-sh, admin/ltmain.sh,
	admin/missing, admin/mkinstalldirs, doxygen/Doxyfile.in,
	hawki/Makefile.am, hawki/hawki_combine.c, hawki/hawki_combine.h,
	hawki/hawki_dfs.c, hawki/hawki_dfs.h, hawki/hawki_load.c,
	hawki/hawki_load.h, hawki/hawki_pfits.c, hawki/hawki_pfits.h,
	hawki/hawki_utils.c, hawki/hawki_utils.h, m4macros/cpl.m4,
	m4macros/eso.m4, recipes/Makefile.am, recipes/hawki_img_dark.c,
	tests/Makefile.am: Initial revision

2007-02-13 17:03  yjung

	* AUTHORS, BUGS, COPYING, COPYING.LIB, ChangeLog, INSTALL,
	Makefile.am, NEWS, README, TODO, acinclude.m4, bootstrap,
	configure.ac, setup, admin/config.guess, admin/config.sub,
	admin/depcomp, admin/html.am, admin/install-sh, admin/ltmain.sh,
	admin/missing, admin/mkinstalldirs, doxygen/Doxyfile.in,
	hawki/Makefile.am, hawki/hawki_combine.c, hawki/hawki_combine.h,
	hawki/hawki_dfs.c, hawki/hawki_dfs.h, hawki/hawki_load.c,
	hawki/hawki_load.h, hawki/hawki_pfits.c, hawki/hawki_pfits.h,
	hawki/hawki_utils.c, hawki/hawki_utils.h, m4macros/cpl.m4,
	m4macros/eso.m4, recipes/Makefile.am, recipes/hawki_img_dark.c,
	tests/Makefile.am: HAWKI pipeline

2007-02-12 11:34  amodigli

	* irplib/: irplib_calib.c, irplib_calib.h: removed a few warnings

2007-02-12 10:35  amodigli

	* irplib/irplib_calib.c: changed gain computation function to have
	better final accuracy

2007-02-12 09:46  jmlarsen

	* irplib/tests/irplib_dfs-test.c: Added a few QC comments

2007-02-12 09:12  jmlarsen

	* irplib/irplib_dfs.h: Removed obsolete stdarg.h inclusion, added
	cpl.h inclusion

2007-02-12 09:11  jmlarsen

	* irplib/tests/: Makefile.am, irplib_dfs-test.c: Added irplib_dfs
	unit test

2007-02-08 14:20  llundin

	* irplib/irplib_fit_body.h: irplib_polynomial_shift(): Removed
	debugging call of cpl_matrix_dump()

2007-02-08 14:19  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h:
	irplib_polynomial_shift(): Use irplib_vector_transform_mean() when
	mindeg == 0

2007-02-08 13:07  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial_tests(): Raised tolerance and
	accept a non-failure of irplib_fit_imagelist_polynomial()

2007-02-07 14:38  llundin

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h,
	irplib_fit_body.h, tests/Makefile.am, tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial(): Added with unit tests

2007-02-06 09:29  llundin

	* irplib/irplib_fit.c: Moved static functions to end-of-source and
	out of doxygen

2007-01-17 14:55  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Use
	cpl_dfs_update_product_header() in epilogue of <recipe>_exec()

2007-01-17 14:54  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h:
	irplib_dfs_update_frameset(): Moved to
	cpl_dfs_update_product_header()

2007-01-16 10:57  yjung

	* irplib/irplib_dfs.c: Fixed assert bug in irplib_product_save()

2007-01-10 14:51  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h:
	irplib_dfs_update_frameset(): Disabled per default

2007-01-10 14:51  llundin

	* irplib/irplib_plugin.h: Reverted previous edit

2007-01-10 13:58  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h, irplib_plugin.h:
	irplib_dfs_update_frameset(): Added (for use by <recipe>_exec()

2007-01-09 15:36  yjung

	* irplib/irplib_irlist.h: additional errors in DEC signs of 50
	stars (DFS03307)

2007-01-08 13:47  yjung

	* irplib/irplib_irlist.h: changed coordinates for Hip025028 and
	Hip025044 (DFS03307)

2006-12-13 12:29  jmlarsen

	* irplib/irplib_plot.c: Documentation: Added som cpl_error_codes to
	list of possible errors

2006-12-07 09:42  llundin

	* irplib/irplib_utils.c: irplib_vsprintf_macro(): Cast to cxsize in
	call to cx_vsnprintf()

2006-12-05 13:17  llundin

	* irplib/tests/irplib_test.h: IRPLIB_TEST_END(): Fix
	end-of-statement warning

2006-12-05 13:16  llundin

	* irplib/irplib_utils.c: irplib_vsprintf(): Use cx_vsnprintf()

2006-12-05 13:16  llundin

	* irplib/tests/irplib_utils-test.c: Moved check of null up (in prep
	for reset)

2006-12-01 11:01  amodigli

	* irplib/tests/irplib_test.h: added guard IRPLIB_TEST_H

2006-11-30 15:54  llundin

	* irplib/tests/: Makefile.am, irplib_test.h, irplib_utils-test.c:
	Added irplib_test.h

2006-11-29 14:22  yjung

	* irplib/: irplib_slitpos.c, irplib_slitpos.h: added a parameter to
	irplib_slitpos_analysis() that returns the slit flux

2006-11-28 15:45  jmlarsen

	* irplib/tests/irplib_error-test.c: Fixed doc. bug

2006-11-28 15:16  llundin

	* irplib/tests/irplib_utils-test.c: Fixed two doxygen warnings

2006-11-28 09:25  jmlarsen

	* irplib/tests/Makefile.am: Factored out LDADD

2006-11-27 15:23  llundin

	* irplib/tests/irplib_utils-test.c: irplib_bpp_find(): Support CPL
	3.0

2006-11-27 15:17  llundin

	* irplib/irplib_utils.c: irplib_bpp_find(): Support CPL 3.0

2006-11-27 11:25  llundin

	* irplib/: irplib_utils.c, irplib_utils.h, tests/Makefile.am,
	tests/irplib_utils-test.c: irplib_bpp_find(): Added.
	irplib_vsprintf(): Fixed memory-leak on illegal format string

2006-11-27 09:58  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h:
	irplib_{image,table,paf}_save(): Take filename as parameter.
	irplib_{image,table}_save(): Take regexp for FITS key removal.
	irplib_image_save(): Take BPP. irplib_table_save(): Take
	propertylist for extension

2006-11-23 15:13  llundin

	* irplib/irplib_framelist.c: irplib_type_as_string(): Fixed
	break-bug introduced in previous commit

2006-11-23 11:07  llundin

	* irplib/irplib_framelist.c: irplib_type_as_string(): Replace
	assert() with cpl_ensure()

2006-11-23 11:02  jmlarsen

	* irplib/tests/irplib_error-test.c: Fixed doxybug

2006-11-23 10:46  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_analysis(): Fixed uninit
	warning (bis)

2006-11-23 09:33  jmlarsen

	* irplib/tests/irplib_error-test.c: Added missing
	exit(EXIT_SUCCESS) statement

2006-11-22 13:23  jmlarsen

	* irplib/tests/Makefile.am: Updated AUTOMAKE_OPTIONS to 1.8 and
	fixed FSF address

2006-11-22 12:11  jmlarsen

	* irplib/: Makefile.am, tests/Makefile.am,
	tests/irplib_error-test.c: Added unit test module

2006-11-22 11:58  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_find_vert_slit_ends():
	Fixed uninit warning. irplib_slitpos_analysis(): Fixed uninit
	warning.

2006-11-22 11:50  llundin

	* irplib/irplib_framelist.c: irplib_property_equal(): Fixed uninit
	warning. irplib_type_as_string(): Fixed missing return warning

2006-11-22 09:36  jmlarsen

	* irplib/tests/: Makefile.am, irplib_error-test.c: Reverted
	previous erroneous commit

2006-11-22 09:22  jmlarsen

	* irplib/tests/: Makefile.am, irplib_error-test.c: Set message
	level according to preprocessor symbol

2006-11-21 10:49  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Replace
	IRPLIB_STREHL_BORDER with new IRPLIB_STREHL_RAD_CENTRAL

2006-11-21 08:54  amodigli

	* irplib/irplib_fit.c: replaced __func__ by cpl_func

2006-11-20 21:23  llundin

	* irplib/irplib_strehl.c: irplib_strehl_disk_max(): Fix minor cast
	bug

2006-11-20 17:40  llundin

	* irplib/: irplib_dfs.c, irplib_framelist.c, irplib_plot.c,
	irplib_plugin.c, irplib_utils.c, irplib_utils.h:
	irplib_vsnprintf_create(): Renamed to irplib_vsprintf().
	irplib_string_concatenate_all(): Renamed to irplib_sprintf()

2006-11-20 15:31  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Use
	irplib_strehl_disk_max() for max star flux, Round-off to nearest
	for ring[] to cpl_flux_get_noise_ring(). PSF_H1(): Remove arbitrary
	constant

2006-11-20 10:18  amodigli

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h: added
	irplib_fit .c .h

2006-11-20 09:56  llundin

	* irplib/: irplib_strehl.c, irplib_strehl.h:
	irplib_strehl_compute(): Use type double for (xpos, ypos), Replace
	hardcoded 5 with IRPLIB_STREHL_BORDER for image border, Use double
	for star_radius and ring spec to irplib_strehl_ring_background(),
	Propagate error in cpl_flux_get_noise_ring()

2006-11-16 13:26  yjung

	* irplib/irplib_calib.c: solved leak

2006-11-16 11:17  amodigli

	* irplib/irplib_calib.c: fix doxygen warning

2006-11-15 18:03  amodigli

	* irplib/irplib_calib.c: irplib_get_clean_mean_window

2006-11-15 15:10  jmlarsen

	* irplib/tests/: Makefile.am, irplib_error-test.c: Removed files
	that were erroneously added

2006-11-15 15:04  jmlarsen

	* irplib/: irplib_access.c, irplib_access.h, tests/Makefile.am,
	tests/irplib_error-test.c: Removed non-const version of
	parameterlist_get_first/last/next which is already in CPL, added
	const-safe wrapper, unwrapper and deallocator functions

2006-11-15 09:33  llundin

	* irplib/: irplib_strehl.c, irplib_strehl.h:
	irplib_strehl_disk_flux(): Use doubles for pixel arguments, use CPL
	error handling. irplib_strehl_ring_background(): Ditto + use new
	irplib_strehl_bg_method enum + support NANs in both modes

2006-11-14 10:00  jmlarsen

	* irplib/: Makefile.am, irplib_access.c, irplib_access.h: Added
	irplib_access module

2006-11-13 16:17  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE():
	cpl_plugin_get_info(): Cast to void

2006-11-06 09:12  amodigli

	* irplib/irplib_calib.c: added doxygen

2006-11-03 10:41  llundin

	* irplib/irplib_wlxcorr.c: irplib_wlxcorr_gen_signal(): Fixed
	doxygen typo

2006-10-27 12:05  amodigli

	* irplib/: irplib_calib.c, irplib_calib.h: added
	irplib_compute_gain and irplib_compute_linearity as ported by
	sinfoni

2006-10-23 19:49  llundin

	* irplib/irplib_plot.c: Removed many splint warnings, mostly
	regarding sprintf()

2006-10-23 17:05  llundin

	* irplib/: irplib_dfs.c, irplib_framelist.c, irplib_slitpos.c,
	irplib_utils.c, irplib_utils.h: Fixed various splint warnings

2006-10-23 10:24  jmlarsen

	* irplib/irplib_plugin.h: Included irplib_error.h and
	irplib_utils.h

2006-10-17 12:54  llundin

	* irplib/irplib_slitpos.c: Add units to table.
	IRPLIB_SLITPOS_KERNEL_SIZE_Y and IRPLIB_SLITPOS_MAX_EROSION

2006-10-17 12:53  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): Assume either
	va_copy or __va_copy() (and fix cpp warning)

2006-10-17 10:12  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_analysis(): Incremented
	slit_length

2006-10-17 09:23  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_find_vert_slit_ends():
	Use memchr()/memrchr(). Simplify error check

2006-10-17 07:40  llundin

	* irplib/: irplib_slitpos.c, irplib_slitpos.h:
	irplib_slitpos_analysis(): Add const modifier, Use cpl_ensure(),
	Drop redundant cpl_image_filter_median(), Improve error messages
	and add diagnostics. irplib_slitpos_find_vert_pos(): Keep slitpos
	away from image boundary. irplib_slitpos_find_edges_one_line(): Do
	not crash on non-float pixels.
	irplib_slitpos_find_vert_slit_ends(): Prevent out-of-bounds array
	indexing

2006-10-13 09:59  llundin

	* irplib/irplib_plot.c: Added description of
	CPL_ERROR_UNSUPPORTED_MODE failure. Moved static functions to end

2006-10-13 09:51  llundin

	* irplib/irplib_plot.h: irplib_plot_manpage: Fixed unused variable
	warning

2006-10-12 15:21  jmlarsen

	* irplib/irplib_plot.c: Replaced POSIX mkstemp/write/close system
	calls with ANSI equivalents

2006-10-11 14:02  llundin

	* irplib/irplib_error.c: IRPLIB_ERROR_MAX_STRING_LENGTH=256 and
	IRPLIB_ERROR_MAX_ERRORS=20

2006-10-11 13:55  llundin

	* irplib/irplib_framelist.c: irplib_framelist_contains(): Improve
	grammar in messages

2006-10-10 16:42  jmlarsen

	* irplib/: irplib_error.c, irplib_error.h: Changed returntype of
	the internal function irplib_error_push_macro from cpl_error_code
	to void. The returnvalue was redundant and not used

2006-10-10 16:33  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Redefined to
	require trailing ; when invoked

2006-10-06 22:46  yjung

	* irplib/: irplib_oddeven.c, irplib_oddeven.h: remove useles
	irplib_oddeven_correct_auto

2006-10-06 13:26  llundin

	* irplib/irplib_framelist.c: irplib_error_push() needed by
	functions whose failure may be recoverable

2006-10-06 13:25  llundin

	* irplib/irplib_plugin.c: irplib_parameterlist_get_*(): Use
	cpl_error_set_where()

2006-10-06 09:36  llundin

	* irplib/irplib_plugin.h: cpl_plugin_get_info(): Return 1 on error

2006-10-06 03:29  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-10-06 01:39  yjung

	* irplib/irplib_wlxcorr.c: added sorted corr values plot

2006-10-05 16:44  jmlarsen

	* irplib/irplib_plugin.h: Added author's email address as parameter
	to IRPLIB_RECIPE_DEFINE

2006-10-04 16:32  llundin

	* irplib/: irplib_plugin.c, irplib_plugin.h: Added
	irplib_parameterlist_{set,get}_{string,bool,int,double}()

2006-10-04 16:31  llundin

	* irplib/: irplib_calib.c, irplib_calib.h:
	irplib_flat_dark_bpm_calib() and irplib_detlin_correct(): Added
	const modifiers to file names

2006-10-04 13:27  jmlarsen

	* irplib/irplib_error.c: Fixed documentation typos

2006-10-04 13:26  jmlarsen

	* irplib/irplib_error.h: Fixed documentation typo

2006-09-29 10:13  yjung

	* irplib/irplib_distortion.c: Bug in cpl_mask_closing() : replace
	by erosion / dilation to avoid being affected by the Bug fix in CPL
	(DFS03150)

2006-09-27 18:12  llundin

	* irplib/irplib_plugin.c: Added @defgroup

2006-09-27 09:00  llundin

	* irplib/irplib_plugin.c: recipe_msg_set_level_from_env(): Fix
	old-style definition

2006-09-26 10:11  llundin

	* irplib/: irplib_std.c, irplib_std.h: irplib_std_get_name(),
	irplib_std_get_catalog(), irplib_std_get_type_spectral() added

2006-09-22 16:24  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-09-21 17:06  cizzo

	* irplib/irplib_ppm.c: Initialise disp variable in
	irplib_ppm_match_positions() (to avoid compiler warning)

2006-09-21 11:25  llundin

	* irplib/: Makefile.am, irplib_plugin.c, irplib_plugin.h:
	IRPLIB_RECIPE_DEFINE()

2006-09-20 17:09  yjung

	* irplib/: irplib_oddeven.c, irplib_oddeven.h: oddeven method (FFT
	-> automatic removal) in progress

2006-09-20 15:28  yjung

	* irplib/irplib_wlxcorr.c: Plot the difference between the computed
	and the initial solutions

2006-09-20 13:53  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): HAVE_VA_COPY =>
	IRPLIB_VA_COPY

2006-09-20 09:20  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): Revert to 1.30

2006-09-20 08:45  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): HAVE_VA_COPY =>
	HAVE_DECL_VA_COPY

2006-09-19 13:03  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): Check
	HAVE_VA_COPY

2006-09-18 18:02  yjung

	* irplib/irplib_irlist.h: updated coordinates of HD40335 on E.
	Mason request

2006-09-18 14:32  llundin

	* irplib/irplib_dfs.c: irplib_image_save(): Support NULL image

2006-09-15 17:32  yjung

	* irplib/irplib_wlxcorr.c: removed level correction

2006-09-12 16:54  llundin

	* irplib/: irplib_calib.c, irplib_distortion.c, irplib_oddeven.c,
	irplib_ppm.c, irplib_slitpos.c, irplib_spectrum.c, irplib_std.c,
	irplib_utils.h, irplib_wlxcorr.c: Replaced __func__ with cpl_func

2006-09-12 11:16  llundin

	* irplib/: irplib_error.c, irplib_error.h, irplib_framelist.c,
	irplib_strehl.c, irplib_utils.h: Replaced __func__ by cpl_func

2006-09-04 10:48  jmlarsen

	* irplib/: irplib_error.c, irplib_flat.c, irplib_framelist.c,
	irplib_plot.c, irplib_slitpos.c, irplib_std.c, irplib_std.h,
	irplib_strehl.c: Added/moved a few doxygen tags to make it explicit
	that parts of the file are not supposed to be documented

2006-08-29 12:59  yjung

	* irplib/irplib_std.c: [no log message]

2006-08-24 09:08  jmlarsen

	* irplib/irplib_dfs.c: Added printf format attributes for local
	functions

2006-08-23 17:05  jmlarsen

	* irplib/: irplib_plot.c, irplib_plot.h: Added
	irplib_bivectors_plot()

2006-08-21 16:18  yjung

	* irplib/irplib_std.c: support case where SEDs too short

2006-08-21 14:13  yjung

	* irplib/irplib_slitpos.c: removed warning

2006-08-21 11:37  cizzo

	* irplib/irplib_ppm.c: Fix doc errors in
	irplib_ppm_match_positions()

2006-08-17 08:58  jmlarsen

	* irplib/irplib_error.c: Disabled local function format attributes
	for older versions of GCC

2006-08-10 13:09  jmlarsen

	* irplib/irplib_error.c: Added function pointer format attributes,
	explicit void at function definition

2006-08-07 01:08  yjung

	* irplib/irplib_wlxcorr.c: mem leak

2006-08-07 00:45  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-08-04 22:49  yjung

	* irplib/irplib_dfs.c: increased the decimal precision for doubles
	in the paf file

2006-08-04 15:55  yjung

	* irplib/irplib_std.c: corrected units with Chris inpouts

2006-08-04 02:28  yjung

	* irplib/irplib_std.c: [no log message]

2006-08-03 02:40  yjung

	* irplib/irplib_std.c: forgot to deallocate a table

2006-07-28 17:59  yjung

	* irplib/irplib_std.c: [no log message]

2006-07-28 14:45  yjung

	* irplib/irplib_std.c: [no log message]

2006-07-27 15:07  yjung

	* irplib/: irplib_irlist.h, irplib_std.c, irplib_std.h: [no log
	message]

2006-07-26 16:47  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: added kappa
	parameter for arcs detection

2006-07-26 16:25  llundin

	* irplib/irplib_dfs.c: irplib_dfs_get_filename(): Use
	irplib_vsnprintf_create(). Add nonnull __attribute__ for some
	static functions

2006-07-26 16:24  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Added
	irplib_vsnprintf_create()

2006-07-26 16:22  llundin

	* irplib/irplib_framelist.c: Fixed warning for unsupported nonnull
	attribute

2006-07-26 10:46  cizzo

	* irplib/irplib_ppm.c: Fix bug on unitialised maxpos variable in
	irplib_ppm_match_positions()

2006-07-25 10:13  llundin

	* irplib/irplib_dfs.c: irplib_table_save(): Moved WCS removal to
	cpl_table_save(). irplib_table_save() and irplib_image_save():
	rawframes -> usedframes, propagate cpl_dfs_setup_product_header()
	failure

2006-07-24 11:45  llundin

	* irplib/irplib_utils.c: irplib_string_concatenate_all(): Added
	cast for cpl_realloc()

2006-07-24 08:55  llundin

	* irplib/irplib_plot.c: irplib_mplot_open(): Added getuid() check

2006-07-21 17:16  llundin

	* irplib/: irplib_dfs.c, irplib_plot.c: Replaced strcpy(), sprintf,
	snprintf()  - mostly with irplib_string_concatenate_all()

2006-07-21 13:27  llundin

	* irplib/irplib_framelist.c: irplib_property_equal(): Use
	irplib_string_concatenate_all()

2006-07-21 10:44  llundin

	* irplib/irplib_framelist.c: irplib_framelist_contains(): Avoid
	variable-size array

2006-07-21 09:20  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Added
	irplib_string_concatenate_all()

2006-07-20 15:46  llundin

	* irplib/irplib_framelist.c: Added example

2006-07-20 14:48  llundin

	* irplib/irplib_framelist.c: Removed irplib_error.h dependency

2006-07-20 13:45  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h:
	irplib_framelist_load_propertylist{,_all}(): Added invert flag

2006-07-20 13:17  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h:
	irplib_framelist_extract_regexp(): Added invert flag

2006-07-20 12:47  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h: Do not export
	IRPLIB_FITS_STRLEN

2006-07-20 12:35  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h: Added
	irplib_framelist_get{,_propertylist}_const()

2006-07-20 11:55  llundin

	* irplib/irplib_framelist.c: Removed dependency on irplib_tools.h.
	irplib_framelist_load_propertylist(): Use
	cpl_propertylist_load_regexp()

2006-07-20 11:21  llundin

	* irplib/irplib_framelist.c: irplib_property_equal(): strncmp() ->
	strcmp()

2006-07-20 10:36  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h: Removed
	dependence on irplib_pfits

2006-07-20 10:14  llundin

	* irplib/: Makefile.am, irplib_framelist.c, irplib_framelist.h: New
	module: irplib_framelist

2006-07-20 09:22  llundin

	* irplib/irplib_dfs.c: irplib_assure_code() -> cpl_ensure_code()

2006-07-19 09:46  llundin

	* irplib/irplib_dfs.c: Removed unneeded #includes

2006-07-13 13:06  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: wl_error from double
	to vector

2006-07-12 16:17  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-07-12 11:37  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-12 08:24  yjung

	* irplib/: irplib_ppm.c, irplib_wlxcorr.c, irplib_wlxcorr.h: [no
	log message]

2006-07-11 18:41  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-11 18:09  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: added
	irplib_wlxcorr_plot_solution

2006-07-11 12:29  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-11 11:30  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: FIRST working
	version of the best_poly() function

2006-07-10 10:26  llundin

	* irplib/irplib_dfs.c: irplib_paf_save(): Added example

2006-07-05 16:58  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-05 16:56  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: added
	irplib_wlxcorr_best_poly()

2006-07-04 17:49  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-04 15:33  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: [no log message]

2006-07-03 17:08  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-07-03 16:26  yjung

	* irplib/: irplib_ppm.c, irplib_wlxcorr.c, irplib_wlxcorr.h: [no
	log message]

2006-06-30 16:03  yjung

	* irplib/irplib_ppm.c: [no log message]

2006-06-30 15:48  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h, irplib_wlxcorr.c,
	irplib_wlxcorr.h: FIRST VERSION USING PPM

2006-06-28 17:11  yjung

	* irplib/irplib_wlxcorr.c: types error

2006-06-28 14:48  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-27 09:23  llundin

	* irplib/irplib_utils.c: static
	irplib_paf_dump_{int,double,string}(): Removed

2006-06-26 16:27  llundin

	* irplib/irplib_dfs.c: irplib_product_save(): Improved doc

2006-06-26 16:25  llundin

	* irplib/irplib_dfs.c: irplib_<table,image,paf>_save(): Removed
	irplib_error usage

2006-06-26 11:56  jmlarsen

	* irplib/: Makefile.am, Makefile.am: Changed irplib from dynamic to
	static (i.e. not installed) library. This was to avoid conflicts
	between pipelines that use incompatible library versions

2006-06-26 09:45  jmlarsen

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h,
	irplib_spline.c, irplib_spline.h: Removed LM-fitting,
	spline-fitting modules

2006-06-23 15:03  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-23 13:56  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-23 10:55  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: added
	sofi_wlcalib_catalog_plot

2006-06-23 10:22  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-23 10:17  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-06-23 09:18  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-06-23 09:14  yjung

	* irplib/: Makefile.am, irplib_wlxcorr.c, irplib_wlxcorr.h: [no log
	message]

2006-06-22 11:28  llundin

	* irplib/irplib_flat.c: removed __func__ ---> cpl_func

2006-06-21 15:07  yjung

	* irplib/: irplib_utils.c, irplib_utils.h: removed
	irplib_propertylist_dump_paf() and irplib_paf_print_header()

2006-06-02 17:07  llundin

	* irplib/irplib_dfs.c: irplib_{image,table}_save():
	cpl_propertylist_copy_property_regexp() ->
	cpl_propertylist_append(), Removed IRPLIB_DFS_ERASE_REGEXP, use
	CPL_BPP_32_SIGNED for saving int-pixel images

2006-06-02 13:57  llundin

	* irplib/irplib_dfs.c: Renamed macro

2006-06-02 10:45  jmlarsen

	* irplib/irplib_spline.c: Documented supported column types

2006-06-02 10:33  jmlarsen

	* irplib/: Makefile.am, irplib_spline.c, irplib_spline.h: Added
	spline interpolation routines

2006-05-31 15:25  llundin

	* irplib/irplib_dfs.c: Resolved include problem

2006-05-31 15:20  llundin

	* irplib/irplib_dfs.c: Resolved include problem

2006-05-31 12:55  llundin

	* irplib/Makefile.am: Added module dfs

2006-05-30 16:27  llundin

	* irplib/irplib_dfs.c: irplib_{image,table}_save(): Do not call
	cpl_propertylist_load()

2006-05-30 13:33  llundin

	* irplib/irplib_dfs.c: irplib_paf_init(): Fixed doxygen bug

2006-05-30 13:07  llundin

	* irplib/irplib_dfs.c: Copied from HEAD: irplib_paf_save(): Do not
	use (deprecated) PAF-functions

2006-05-30 13:07  llundin

	* irplib/irplib_dfs.c: irplib_paf_save(): Do not use (deprecated)
	PAF-functions

2006-05-30 12:59  llundin

	* irplib/irplib_utils.h: Revert change of 1.19

2006-05-30 11:51  llundin

	* irplib/irplib_utils.h: irplib_paf_print_header(): deprecated.
	irplib_propertylist_dump_paf(): deprecated

2006-05-30 11:33  llundin

	* irplib/irplib_dfs.c: Copied from HEAD:
	irplib_{image,table,paf}_save(): Improved documentation

2006-05-30 11:32  llundin

	* irplib/irplib_dfs.c: irplib_{image,table,paf}_save(): Improved
	documentation

2006-05-30 11:31  llundin

	* irplib/irplib_utils.h: irplib_assure{,_code}(): Use
	irplib_error_push()

2006-05-29 16:50  llundin

	* irplib/: Makefile.am, irplib_dfs.c, irplib_dfs.h, irplib_dfs.c,
	irplib_dfs.h: Added in IRPLIB: irplib_{image,table,paf}_save()

2006-05-29 12:30  llundin

	* irplib/: irplib_utils.h, irplib_utils.c:
	irplib_frameset_extract{,_regexp}(): Removed

2006-05-29 12:05  llundin

	* irplib/irplib_plot.c: Indentation. __func__ -> cpl_func. Merged
	changes from CPL-2_1-BRANCH: Compiler warnings

2006-05-29 12:03  llundin

	* irplib/irplib_plot.h: irplib_plot_manpage(): Merged changes from
	CPL-2_1-BRANCH

2006-05-19 14:31  yjung

	* irplib/: irplib_oddeven.c, irplib_oddeven.h: added first files

2006-05-19 14:25  yjung

	* irplib/: Makefile.am, irplib_oddeven.c, irplib_oddeven.h: [no log
	message]

2006-05-18 16:29  yjung

	* irplib/: irplib_plot.c, irplib_plot.h, irplib_std.c,
	irplib_std.h, irplib_utils.c: warnings

2006-05-18 15:21  llundin

	* irplib/irplib_utils.h: Replaced cpl_assure{,_code} with
	cpl_ensure{,_code}

2006-05-18 15:18  llundin

	* irplib/: irplib_fit.c, irplib_plot.c, irplib_strehl.c,
	irplib_utils.c: Replaced cpl_assure{,_code}() with
	cpl_ensure{,_code}()

2006-05-15 08:51  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: added a
	parameter to irplib_distortion_estimate() : the degree of the
	polynomial

2006-05-11 14:26  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: added the
	degree parameter to the distortion estimation

2006-05-11 14:21  yjung

	* irplib/: irplib_plot.c, irplib_plot.h: added
	irplib_vectors_plot()

2006-05-05 14:36  jmlarsen

	* irplib/: irplib_irlist.h, irplib_irlist.h: Added missing
	copyright header

2006-05-05 13:39  jmlarsen

	* irplib/: irplib_std.c, irplib_std.h: Changed type char * -> const
	char * of variables pointing to string constants

2006-05-05 13:34  jmlarsen

	* irplib/: irplib_std.c, irplib_std.h: Changed type char * -> const
	char * of variables pointing to string constants

2006-05-04 11:22  jmlarsen

	* irplib/irplib_fit.c: Bugfix in get_candidate(): M -> Mfit (Wrong
	indexing if one or more fit parameters are held constant)

2006-04-24 13:48  jmlarsen

	* irplib/: irplib_fit.c, irplib_fit.h: Added a check that the value
	of the 'fix_pars' argument to irplib_fit_gaussian_1d() makes sense

2006-04-24 11:12  jmlarsen

	* irplib/: irplib_fit.c, irplib_fit.h: Generalized
	irplib_fit_gaussian_1d and irplib_fit to allow fixing any
	combination of fit parameters

2006-04-13 13:55  yjung

	* irplib/Makefile.am: added irplib_ppm.ch

2006-04-13 13:55  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: [no log message]

2006-04-13 13:53  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: import mos_identify_peaks
	from VIMOS

2006-04-10 11:25  jmlarsen

	* irplib/irplib_fit.c: Replaced __func__ -> cpl_func

2006-04-07 15:00  yjung

	* irplib/: irplib_utils.c, irplib_utils.h: removed
	irplib_bivector_load()

2006-04-07 11:24  jmlarsen

	* irplib/: irplib_fit.c, irplib_fit.c: Defined a maximum number of
	iterations in order to guarantee that the LM-loop always
	terminates, even in the (currently non-observed but difficult to
	exclude) case where a nan/inf causes the math logic to break down.

2006-04-06 17:17  yjung

	* irplib/irplib_plot.c: [no log message]

2006-04-06 17:04  yjung

	* irplib/: irplib_calib.c, irplib_distortion.c, irplib_flat.c,
	irplib_plot.c, irplib_slitpos.c, irplib_spectrum.c, irplib_utils.c:
	removed fctid ---> __func__

2006-03-23 13:43  jmlarsen

	* irplib/: irplib_fit.c, irplib_utils.c, irplib_utils.h: Removed
	workaround for DFS02390 (cpl_matrix_solve returning nan)

2006-03-22 17:27  yjung

	* irplib/irplib_spectrum.c: 10 -> 30 for spectrum detection shadows
	criteria

2006-03-22 17:26  yjung

	* irplib/irplib_spectrum.c: 10 -> 30 for the spectrum factor

2006-03-01 14:22  jmlarsen

	* irplib/irplib_error.h: Defined one instead of many error handling
	macros

2006-03-01 14:20  jmlarsen

	* irplib/: irplib_error.c, irplib_error.c: Proper handling of the
	case where error queue is out of sync. with CPL's error state;
	Disallow CPL_ERROR_NONE as error code

2006-03-01 14:17  jmlarsen

	* irplib/irplib_error.h: Defined one instead of many error handling
	macros

2006-02-23 11:01  llundin

	* irplib/irplib_error.h: From CPL-2.1 branch: Renamed
	irplib_assert() to irplib_assert_msg(). Added irplib_assert()

2006-02-23 11:01  llundin

	* irplib/irplib_error.h: Renamed irplib_assert() to
	irplib_assert_msg(). Added irplib_assert()

2006-02-22 11:56  jmlarsen

	* irplib/irplib_fit.c: From CPL-2.1 branch: Fixed a few doc. bugs

2006-02-22 11:52  jmlarsen

	* irplib/irplib_fit.c: Fixed a few doc. bugs

2006-02-17 17:08  yjung

	* irplib/: irplib_strehl.c, irplib_strehl.h, irplib_strehl.c,
	irplib_strehl.h: [no log message]

2006-02-15 16:25  llundin

	* irplib/irplib_plot.c: Fixed some gcc warnings

2006-02-15 09:11  yjung

	* irplib/: irplib_strehl.c, irplib_strehl.c: Fixed DFS02233

2006-02-07 16:34  jmlarsen

	* irplib/: irplib_error.c, irplib_error.h: From CPL-2.1 branch:
	Changed return type of irplib_error_push_macro

2006-02-07 16:30  jmlarsen

	* irplib/: irplib_error.c, irplib_error.h: Changed return type of
	irplib_error_push_macro

2006-02-07 15:30  jmlarsen

	* irplib/: irplib_error.c, irplib_error.h: From CPL-2.1 branch:
	Added parameter to irplib_error_dump; Add existing error to the
	queue

2006-02-07 15:21  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h, irplib_pfits.c,
	irplib_pfits.h: Removed modules: dfs, pfits

2006-02-07 15:20  jmlarsen

	* irplib/: irplib_error.c, irplib_error.h: Added parameter to
	irplib_error_dump; Add existing error to the queue

2006-02-07 15:18  llundin

	* irplib/Makefile.am: Removed modules: pfits, dfs

2006-02-07 15:14  llundin

	* irplib/: Makefile.am, irplib_dfs.c, irplib_dfs.h,
	irplib_framelist.c, irplib_framelist.h, irplib_pfits.c,
	irplib_pfits.h, irplib_plugin.c, irplib_plugin.h: Removed modules:
	dfs, pfits,plugin,framelist

2006-02-07 02:42  llundin

	* irplib/irplib_plugin.c: ifdef-ed xmemory reference

2006-02-07 01:58  llundin

	* irplib/irplib_framelist.c: irplib_framelist_extract*(): Extract
	also propertylists - update index correctly

2006-02-07 01:45  llundin

	* irplib/: irplib_error.c, irplib_error.h: Oops. Reverted to
	version prior to erroneous commit

2006-02-07 01:36  llundin

	* irplib/irplib_framelist.c: irplib_framelist_extract*(): Extract
	also propertylists

2006-02-07 01:15  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h: Added
	irplib_frameset_cast()

2006-02-06 23:26  llundin

	* irplib/irplib_framelist.c: irplib_framelist_extract*(): Extract
	also propertylists

2006-02-06 23:01  llundin

	* irplib/: irplib_error.c, irplib_error.h, irplib_framelist.c,
	irplib_framelist.h: irplib_framelist_extract*(): Redeclared to take
	irplib_framelist

2006-02-06 18:58  llundin

	* irplib/irplib_plugin.c: Removed testing msg

2006-02-06 18:51  llundin

	* irplib/irplib_plugin.c: Added info msg

2006-02-06 18:39  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_random(): uses tags from
	caller

2006-02-06 17:33  llundin

	* irplib/irplib_plugin.c: test function returns number of failures

2006-02-06 17:05  llundin

	* irplib/: irplib_plugin.c, irplib_plugin.h: irplib_plugin_test():
	Added main()-style parameters. (removed CPL_MSG_DEBUG-work-around)

2006-02-06 16:40  llundin

	* irplib/irplib_plugin.c: 1st attempt at irplib_plugin_test() -
	from recipe_main.c

2006-02-06 16:37  llundin

	* irplib/irplib_plugin.c: file irplib_plugin.c was initially added
	on branch CPL-2_1-BRANCH.

2006-02-06 16:37  llundin

	* irplib/: Makefile.am, irplib_plugin.c, irplib_plugin.h,
	irplib_utils.h: Created irplib_plugin

2006-02-06 16:37  llundin

	* irplib/irplib_plugin.h: file irplib_plugin.h was initially added
	on branch CPL-2_1-BRANCH.

2006-02-06 04:14  llundin

	* irplib/irplib_plot.h: Added man-text for plotting

2006-02-06 00:34  llundin

	* irplib/irplib_utils.h: Use irplib_error

2006-02-05 21:41  llundin

	* irplib/irplib_dfs.c: irplib_dfs_check_frame_tag(): Take
	propertylist

2006-02-05 18:33  llundin

	* irplib/irplib_framelist.c:
	irplib_framelist_load_propertylist_all(): Added diagnostics

2006-02-04 16:47  llundin

	* irplib/irplib_utils.c: irplib_get_license(): Changed to a macro
	(multi-recipe safe)

2006-02-04 16:44  llundin

	* irplib/irplib_utils.h: irplib_get_license(): Changed to a macro
	(multi-recipe safe)

2006-02-04 16:43  llundin

	* irplib/irplib_framelist.c: Removed one unnecessary error check.
	Fixed typo

2006-02-04 03:41  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: irplib_get_license().
	irplib_plugin_get_info(). irplib_recipe_create().
	irplib_recipe_exec(). irplib_recipe_destroy()

2006-02-03 21:55  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h, irplib_utils.h:
	irplib_framelist_set(): Reorder 2nd and 3rd argument.
	irplib_framelist_extract(). irplib_framelist_extract_regexp().
	irplib_imagelist_load_framelist(). Deprecate
	irplib_frameset_extract*()

2006-02-03 15:21  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h: frameset check -> framelist
	check

2006-02-03 14:26  llundin

	* irplib/Makefile.am: Removed irplib_framelist for the moment

2006-02-03 09:34  jmlarsen

	* irplib/Makefile.am: Added irplib_error.[ch] entries

2006-02-03 02:17  llundin

	* irplib/Makefile.am: Added irplib_framelist

2006-02-02 23:19  llundin

	* irplib/irplib_framelist.c: irplib_framelist_contains(): Add type
	to an error msg

2006-02-02 22:53  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h:
	irplib_framelist_contains()

2006-02-02 16:32  llundin

	* irplib/irplib_framelist.c: file irplib_framelist.c was initially
	added on branch CPL-2_1-BRANCH.

2006-02-02 16:32  llundin

	* irplib/irplib_framelist.h: file irplib_framelist.h was initially
	added on branch CPL-2_1-BRANCH.

2006-02-02 16:32  llundin

	* irplib/: Makefile.am, irplib_framelist.c, irplib_framelist.h:
	irplib_framelist

2006-02-02 15:53  jmlarsen

	* irplib/irplib_utils.c: Removed duplicate function definition

2006-02-02 15:49  jmlarsen

	* irplib/: irplib_fit.c, irplib_plot.c, irplib_std.c,
	irplib_strehl.c, irplib_utils.c: From CPL-2.1 branch: Removed a few
	doxygen warnings

2006-02-02 15:35  jmlarsen

	* irplib/: irplib_fit.c, irplib_plot.c, irplib_std.c,
	irplib_strehl.c, irplib_utils.c: Removed a few doxygen warnings

2006-02-02 14:58  jmlarsen

	* irplib/: Makefile.am, irplib_error.c, irplib_error.h: From
	CPL-2.1 branch: Added error handling module

2006-02-02 14:57  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h: From CPL-2.1 branch:
	Added irplib_reset()

2006-02-02 14:44  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h: Added irplib_reset()

2006-02-02 14:42  jmlarsen

	* irplib/irplib_error.h: file irplib_error.h was initially added on
	branch CPL-2_1-BRANCH.

2006-02-02 14:42  jmlarsen

	* irplib/irplib_error.c: file irplib_error.c was initially added on
	branch CPL-2_1-BRANCH.

2006-02-02 14:42  jmlarsen

	* irplib/: Makefile.am, irplib_error.c, irplib_error.h: Added error
	handling module

2006-02-01 20:34  llundin

	* irplib/irplib_utils.h: __func_ is #defined if needed

2006-01-30 08:01  jmlarsen

	* irplib/irplib_fit.c: Fixed doxygen bug

2006-01-30 07:58  jmlarsen

	* irplib/irplib_fit.c: Fixed doxygen bug

2006-01-26 16:06  llundin

	* irplib/: Makefile.am, irplib_dfs.c, irplib_dfs.h: From CPL-2.1
	branch: Added irplib_dfs_check_frameset_tag()

2006-01-26 16:05  llundin

	* irplib/: irplib_pfits.c, irplib_pfits.h: From CPL-2.1 branch:
	Added irplib_pfits_get_dpr_{catg,tech,type}()

2006-01-26 09:47  yjung

	* irplib/irplib_strehl.c: implemented the nan values for SINFONI

2006-01-26 09:43  yjung

	* irplib/irplib_strehl.c: implemented the nan checks

2006-01-25 17:12  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: [no log
	message]

2006-01-25 17:06  yjung

	* irplib/: Makefile.am, irplib_distortion.c, irplib_distortion.h:
	[no log message]

2006-01-25 16:44  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: moved the
	distortion estimation from ISAAC to IRPLIB

2006-01-25 16:31  yjung

	* irplib/: Makefile.am, irplib_distortion.c, irplib_distortion.h:
	[no log message]

2006-01-25 16:31  yjung

	* irplib/irplib_distortion.c: file irplib_distortion.c was
	initially added on branch CPL-2_1-BRANCH.

2006-01-25 16:31  yjung

	* irplib/irplib_distortion.h: file irplib_distortion.h was
	initially added on branch CPL-2_1-BRANCH.

2006-01-25 12:43  jmlarsen

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h, irplib_utils.c,
	irplib_utils.h: Simplified interface of gauss. fitting, moved to
	irplib_fit.c

2006-01-25 12:03  jmlarsen

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h, irplib_utils.c,
	irplib_utils.h: Simplified interface of gauss. fitting, moved to
	irplib_fit.c

2006-01-25 12:03  jmlarsen

	* irplib/irplib_fit.c: file irplib_fit.c was initially added on
	branch CPL-2_1-BRANCH.

2006-01-25 12:03  jmlarsen

	* irplib/irplib_fit.h: file irplib_fit.h was initially added on
	branch CPL-2_1-BRANCH.

2006-01-23 11:30  llundin

	* irplib/irplib_dfs.c: Reset error on missing DPR

2006-01-22 11:31  llundin

	* irplib/: irplib_utils.c, irplib_utils.h:
	irplib_frameset_get_first_from_group()

2006-01-22 10:14  llundin

	* irplib/: Makefile.am, irplib_dfs.c, irplib_dfs.h, irplib_pfits.c,
	irplib_pfits.h: Check of DPR <=> consistency

2006-01-22 10:14  llundin

	* irplib/irplib_dfs.h: file irplib_dfs.h was initially added on
	branch CPL-2_1-BRANCH.

2006-01-22 10:14  llundin

	* irplib/irplib_dfs.c: file irplib_dfs.c was initially added on
	branch CPL-2_1-BRANCH.

2006-01-18 13:31  jmlarsen

	* irplib/: irplib_plot.c, irplib_plot.c: Added missing doxygen end
	tag

2006-01-13 15:23  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h: Changed type bool to
	cpl_boolean

2006-01-13 15:15  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h: Changed type bool to
	cpl_boolean

2006-01-12 14:53  jmlarsen

	* irplib/: irplib_utils.h, irplib_utils.c: Shortened lines to 80
	characters

2006-01-12 14:40  jmlarsen

	* irplib/irplib_utils.c: Shortened lines to 80 characters

2006-01-12 13:25  jmlarsen

	* irplib/irplib_utils.h: Shortened lines to 80 characters

2006-01-12 12:55  jmlarsen

	* irplib/irplib_utils.h: Just testing

2006-01-12 10:15  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h: Added 1d gauss. fit

2006-01-12 10:11  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h: Added 1d gauss. fit

2006-01-05 14:13  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Merged changes from
	CPL-2_1-BRANCH (irplib_apertures_find_max_flux())

2006-01-05 14:02  llundin

	* irplib/: irplib_utils.c, irplib_utils.h:
	irplib_apertures_find_max_flux()

2006-01-04 17:31  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Merged changes from
	CPL-2_1-BRANCH (visir_frameset_*() -> irplib_frameset_*()

2006-01-04 17:26  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Added
	irplib_frameset_{find_file,extract,extract_regexp}()

2006-01-04 09:19  llundin

	* irplib/irplib_strehl.c: Merged changes from CPL-2_1-BRANCH
	(removed definition of __func__, irplib_assure*()

2006-01-03 16:11  llundin

	* irplib/: Makefile.am, irplib_pfits.c, irplib_pfits.h,
	irplib_strehl.c, irplib_utils.c, irplib_utils.h: Merged changes
	from CPL-2_1-BRANCH

2005-12-22 16:33  llundin

	* irplib/irplib_pfits.c: file irplib_pfits.c was initially added on
	branch CPL-2_1-BRANCH.

2005-12-22 16:33  llundin

	* irplib/: Makefile.am, irplib_pfits.c, irplib_pfits.h: pfits
	support functions

2005-12-22 16:33  llundin

	* irplib/irplib_pfits.h: file irplib_pfits.h was initially added on
	branch CPL-2_1-BRANCH.

2005-12-22 16:32  llundin

	* irplib/: irplib_strehl.c, irplib_utils.c, irplib_utils.h: Some
	error testing

2005-12-13 15:44  llundin

	* irplib/irplib_strehl.c: Removed arbitrary constant. Require M1 to
	be greater than M2

2005-12-13 13:34  llundin

	* irplib/: irplib_strehl.c, irplib_strehl.h: Merged changes from
	CPL-2_1-BRANCH

2005-12-13 13:30  llundin

	* irplib/: irplib_strehl.c, irplib_strehl.h: Added error checks:
	pixel type, negative inputs. const cpl_image * input. Use CPL error
	system. Forbid negative Strehl and Strehl-error estimate. Added
	IRPLIB_STREHL_BORDER

2005-11-25 09:38  yjung

	* irplib/irplib_strehl.c: new API in CPL

2005-11-24 17:15  yjung

	* irplib/irplib_strehl.c: back to compile with cpl 2.1

2005-11-24 09:50  yjung

	* irplib/irplib_flat.c: check that at least 2 images are input in
	the flat function

2005-11-21 11:26  yjung

	* irplib/irplib_strehl.c: Changed the cpl_image_fft() call !!!

2005-11-17 12:27  yjung

	* irplib/irplib_flat.c: DFS02648: irplib_flat_fit_set() check if
	the input is FLOAT

2005-10-19 12:24  jmlarsen

	* irplib/irplib_plot.c: Added support for plotting int/float table
	columns

2005-10-19 11:01  jmlarsen

	* irplib/irplib_plot.c: Disabled calls to popen/pclose when not
	available

2005-10-19 10:59  jmlarsen

	* irplib/irplib_flat.c: Remove warnings about uninitialized
	variables

2005-10-19 09:53  jmlarsen

	* irplib/irplib_flat.c: Remove warnings about uninitialized
	variables

2005-10-12 15:01  yjung

	* irplib/Makefile.am: do not install

2005-10-06 16:56  llundin

	* irplib/irplib_plot.c: irplib_image_{row,col}_plot(): Rewrote
	internals to support multiple plots

2005-09-29 11:07  llundin

	* irplib/: irplib_plot.c, irplib_plot.h:
	irplib_image_{row,col}_plot(): Added first, last, step

2005-09-29 10:09  llundin

	* irplib/irplib_plot.c: Defined and use has_process_io

2005-09-19 15:39  llundin

	* irplib/: irplib_flat.c, irplib_std.c, irplib_utils.c: Fixed
	doxygen errors

2005-09-15 14:16  llundin

	* irplib/irplib_plot.c: Cast %p-argument to void*

2005-09-15 13:47  llundin

	* irplib/: Makefile.am, irplib_calib.c, irplib_calib.h,
	irplib_flat.c, irplib_flat.h, irplib_plot.c, irplib_plot.h,
	irplib_slitpos.c, irplib_slitpos.h, irplib_spectrum.c,
	irplib_spectrum.h, irplib_std.c, irplib_std.h, irplib_strehl.c,
	irplib_strehl.h, irplib_utils.c, irplib_utils.h: Fixed DFS02446

2005-09-13 10:54  yjung

	* irplib/: irplib_strehl.c, irplib_strehl.h: added a param to
	irplib_strehl_ring_background()

2005-09-13 10:43  llundin

	* irplib/irplib_plot.c: irplib_image_{row,col}_plot_macro(): Fixed
	-t bug on empty options string

2005-08-03 08:56  yjung

	* irplib/irplib_std.c: warning removed

2005-08-01 15:10  yjung

	* irplib/irplib_spectrum.c: [no log message]

2005-08-01 15:08  yjung

	* irplib/irplib_spectrum.c: added some checks to avoir CPL_ERROR on
	borders

2005-08-01 10:01  yjung

	* irplib/: irplib_spectrum.c, irplib_spectrum.h: changed interface
	to support vert spec

2005-08-01 09:30  yjung

	* irplib/: irplib_spectrum.c, irplib_spectrum.h: changed name

2005-08-01 09:23  yjung

	* irplib/: irplib_spectrum.c, irplib_spectrum.h: new revision

2005-08-01 09:22  yjung

	* irplib/Makefile.am: added irplib_spectrum.c

2005-07-27 16:15  yjung

	* irplib/: irplib_utils.c, irplib_utils.h: added
	irplib_bivector_load()

2005-06-30 13:45  yjung

	* irplib/irplib_strehl.c: removed usage of M_PI

2005-06-28 17:46  yjung

	* irplib/: irplib_irlist.h, irplib_std.c, irplib_std.h: added stad
	star temperatures

2005-06-16 16:45  yjung

	* irplib/: irplib_std.c, irplib_std.h: added irplib_std_band_name()

2005-06-10 13:43  yjung

	* irplib/irplib_std.h: added some isaac BB

2005-06-07 14:56  llundin

	* irplib/: irplib_plot.c, irplib_plot.h: Renamed visir to irplib in
	private names. Moved plotting struct from .h to .c

2005-06-07 14:18  llundin

	* irplib/: Makefile.am, irplib_plot.c, irplib_plot.h: visir_plot =>
	irplib_plot

2005-05-19 11:30  llundin

	* irplib/irplib_utils.c: removed useless call of
	cpl_error_get_code() in irplib_propertylist_dump_paf()

2005-05-19 11:22  llundin

	* irplib/: irplib_utils.c, irplib_utils.h:
	irplib_propertylist_dump_paf()

2005-05-11 10:18  yjung

	* irplib/: irplib_strehl.c, irplib_strehl.h: added 2 params to
	irplib_strehl_compute()

2005-05-10 10:43  yjung

	* irplib/: irplib_calib.c, irplib_calib.h: added
	irplib_detlin_correct()

2005-05-03 08:59  yjung

	* irplib/: irplib_std.c, irplib_std.h: removed filter info
	functions

2005-05-03 08:49  yjung

	* irplib/: Makefile.am, irplib_std.c, irplib_std.h: in progress

2005-05-02 15:19  yjung

	* irplib/: Makefile.am, irplib_irlist.h: added irplib_irlist.h

2005-04-28 15:28  yjung

	* irplib/irplib_strehl.c: remove check on TYPE==FLOAT

2005-04-28 14:42  yjung

	* irplib/: irplib_calib.c, irplib_calib.h: [no log message]

2005-04-28 10:53  yjung

	* irplib/irplib_calib.c: small typo

2005-04-28 10:35  yjung

	* irplib/: irplib_calib.c, irplib_calib.h: added
	irplib_flat_dark_bpm_calib()

2005-04-28 10:00  yjung

	* irplib/: Makefile.am, irplib_calib.c, irplib_calib.h: added
	irplib_calib

2005-04-26 16:52  llundin

	* irplib/: irplib_flat.c, irplib_flat.h, irplib_slitpos.h,
	irplib_strehl.c, irplib_strehl.h, irplib_utils.c, irplib_utils.h:
	Replaced tabulation with 4 spaces (bis)

2005-04-26 16:32  llundin

	* irplib/: irplib_flat.c, irplib_flat.h, irplib_slitpos.h,
	irplib_strehl.c, irplib_strehl.h, irplib_utils.c, irplib_utils.h:
	Replaced tabulation with 4 spaces

2005-04-25 14:51  yjung

	* irplib/irplib_slitpos.c: added missing include

2005-04-25 14:44  yjung

	* irplib/: Makefile.am, irplib_slitpos.c, irplib_slitpos.h: added
	irplib_slitpos.[ch]

2005-04-25 14:12  yjung

	* irplib/: Makefile.am, irplib_strehl.c, irplib_strehl.h: added
	irplib_strehl.[ch]

2005-04-25 13:50  yjung

	* irplib/: Makefile.am, irplib_utils.c, irplib_utils.h: added
	irplib_utils

2005-04-25 13:28  yjung

	* irplib/: Makefile.am, irplib_flat.c, irplib_flat.h: Initial
	revision

2005-04-25 13:28  yjung

	* irplib/: Makefile.am, irplib_flat.c, irplib_flat.h: Library for
	infrared pipelines

